subversion (1.14.1-1) unstable; urgency=high

  * Update to new upstream version 1.14.1.
    + Fix FTBFS with OpenJDK 17 (Closes: #982084)
    + Security fix:
      - CVE-2020-17525: Remote unauthenticated denial-of-service in Subversion
        mod_authz_svn  (Closes: #982464)

 -- James McCoy <jamessan@debian.org>  Wed, 10 Feb 2021 21:17:14 -0500

subversion (1.14.0-3) unstable; urgency=medium

  * Rename python suffixes to the versioned python suffix.
    Thanks to Matthias Klose for the patch (Closes: #972197)
  * Rename python-script-but-no-python-dep override to python3 version

 -- James McCoy <jamessan@debian.org>  Sat, 31 Oct 2020 20:44:20 -0400

subversion (1.14.0-2) unstable; urgency=medium

  * Backport patch from upstream to fix FTBFS (Closes: #966989)
    - Fix crash in JavaHL JNI wrapper caused by object lifetimes
  * svn_load_dirs.1: Use correct groff macro for single-quote
  * Update lintian overrides to account for renamed tags

 -- James McCoy <jamessan@debian.org>  Mon, 17 Aug 2020 13:01:19 -0400

subversion (1.14.0-1) unstable; urgency=medium

  * Update to new upstream version 1.14.0.
  * Install NOTICE as required by Apache license
  * rules: Disable dh_auto_test for Arch: all builds

 -- James McCoy <jamessan@debian.org>  Wed, 03 Jun 2020 22:21:57 -0400

subversion (1.14.0~rc2-3) experimental; urgency=medium

  * copyright: Add details for build/ac-macros/ax_boost_*
  * Stop installing NOTICE, since debian/copyright has all the information

 -- James McCoy <jamessan@debian.org>  Wed, 22 Apr 2020 07:57:45 -0400

subversion (1.14.0~rc2-2) experimental; urgency=medium

  * Ship svnshell as an example, not under /usr/bin/
  * Switch to using dh instead of plain debhelper
  * Fix an error leak in debian/patches/last-changed-date-charset.  Thanks to
    Daniel Shahaf for the patch.  (Closes: #956921)

 -- James McCoy <jamessan@debian.org>  Tue, 21 Apr 2020 23:05:17 -0400

subversion (1.14.0~rc2-1) experimental; urgency=medium

  * Update to new upstream version 1.14.0~rc2.
    + Fix crash when using git-svn with kwallet.  (Closes: #945443)
    + Escape filenames when invoking $SVN_EDITOR.  (Closes: #577118)
    + Transition Python bindings from python 2 to python 3.  (Closes: #739790, #938578)
  * Remove python-subversion from subversion-tool's Recommends, since nothing
    uses the Python bindings.
  * Replace python-subversion with python3-subversion
    + Build-Depend on swig (>= 3.0.10), instead of swig3.0 (Closes: #954866)
    + Add new Build-Depends on py3c
    + Build-Depend on python3-all-dev instead of python-all-dev
  * rules: Run tests in parallel according to DEB_BUILD_OPTIONS setting
  * libsvn1.symbols: Update for 1.14 API changes
  * Add support for pkg.subversion.noruby Build-Profile
  * Build-Conflict against incompatible libsvn1/libsvn-dev
  * lintian: Override concatenated-upstream-signatures
  * Update release notes for 1.9 - 1.13 and add 1.14

 -- James McCoy <jamessan@debian.org>  Sun, 12 Apr 2020 15:37:14 -0400

subversion (1.13.0-4) unstable; urgency=medium

  * Disable building python-subversion if SWIG 4.0 is installed
    (Closes: #954866)
  * Remove python-subversion from subversion-tool's Recommends

 -- James McCoy <jamessan@debian.org>  Sat, 25 Apr 2020 08:58:28 -0400

subversion (1.13.0-3) unstable; urgency=medium

  [ James McCoy ]
  * rules: Use "pyversions -s" instead of "pyversions -i"
  * Build with swig3.0 to fix FTBFS with swig4.0 (Closes: #951893)
  * Declare compliance with Policy 4.5.0, no changes needed
  * Build-Depend on debhelper-compat (= 12)

  [ Dimitri John Ledkov ]
  * swig.m4: Do not include ruby include subdir

 -- James McCoy <jamessan@debian.org>  Tue, 24 Mar 2020 08:33:36 -0400

subversion (1.13.0-2) unstable; urgency=medium

  [ James McCoy ]
  * gbp.conf: Do not number patches

  [ Steve Langasek ]
  * use python2 as the interpreter now for tests, not python (Closes: #948770)

 -- James McCoy <jamessan@debian.org>  Sun, 19 Jan 2020 08:59:14 -0500

subversion (1.13.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch:
    + Monitor 1.13.x versions
  * Update upstream signing keys
  * debian/control:
    + Bump minimum jdk version to 1.8
    + Switch to junit4 for Java tests
    + Bump libsvn-dev Build-Conflicts to << 1.13~
    + Remove obsolete Build-Depends on apache2-dev
    + Fix a typos in the pkg.subversion.nokde profile name
  * Declare compliance with Policy 4.4.1, no changes needed
  * Fix FTBFS on certain archs due to PIC/PIE interaction.
    Thanks to Thorsten Glaser for the patch (Closes: #942798)
  * libsvn1.symbols:
    + Mark private/experimental symbols as optional
    + Update symbols for 1.11, 1.12, and 1.13
  * debian/tests:
    + Replace $ADTTMP with $AUTOPKGTEST_TMP
  * Add fetch-keys script to update/minimize signing-key.asc
  * Add a pkg.subversion.nojava build profile

 -- James McCoy <jamessan@debian.org>  Thu, 28 Nov 2019 22:11:05 -0500

subversion (1.10.6-1) unstable; urgency=medium

  * Update to new upstream version 1.10.6.
    + Security fix
      - CVE-2018-11782: Remotely triggerable DoS vulnerability in svnserve
        'get-deleted-rev'
      - CVE-2019-0203: Remote unauthenticated denial-of-service in Subversion
        svnserve
  * Support a pkg.subversion.nokde build profile.
    Thanks to Jason Duerstock for the patch (Closes: #929326)

 -- James McCoy <jamessan@debian.org>  Wed, 31 Jul 2019 07:01:38 -0400

subversion (1.10.4-1) unstable; urgency=medium

  * Update to new upstream version 1.10.4  (Closes: #919767)
    + Security fix
      - CVE-2018-11803: Malicious SVN clients can crash mod_dav_svn
  * d/copyright: Convert to copyright format 1.0
  * Replace hand-written postinst/rm with maintscript helper
  * lintian: Minimize the upstream signing key
  * Declare compliance with Policy 4.3.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Tue, 22 Jan 2019 22:41:34 -0500

subversion (1.10.3-1) unstable; urgency=medium

  * Update to new upstream version 1.10.3.
  * lintian:
    + Update libapache2-mod-svn override due to tag being renamed
    + Add libsvn1 override for package-name-doesnt-match-sonames
  * libsvn-{java,dev}: Use absolute target path for symlink_to_dir calls
    (Closes: #910233)
  * rules: Allow quiet builds when DEB_BUILD_OPTIONS=terse
  * Declare compliance with Policy 4.2.1
  * libsvn-java: Remove obsolete libsvn-jni Conflicts/Replaces
  * Update release notes

 -- James McCoy <jamessan@debian.org>  Sat, 20 Oct 2018 14:27:55 -0400

subversion (1.10.2-1) unstable; urgency=medium

  * New upstream release
  * Switch to dgit-maint-debrebase(7) workflow
  * debian/tests: Use $AUTOPKGTEST_TMP if $ADTTMP is not set
  * debian/tests: Add a basic test for svnserve

 -- James McCoy <jamessan@debian.org>  Sat, 04 Aug 2018 12:28:03 -0400

subversion (1.10.0-2) unstable; urgency=medium

  * Build native java bindings using javac instead of javah.
    Thanks to Emmanuel Bourg (Closes: #897555)

 -- James McCoy <jamessan@debian.org>  Sat, 16 Jun 2018 10:00:22 -0400

subversion (1.10.0-1) unstable; urgency=medium

  * Upload new upstream release to unstable
  * control: Adjust debhelper Build-Depends to ease backporting

 -- James McCoy <jamessan@debian.org>  Wed, 18 Apr 2018 12:29:55 -0400

subversion (1.10.0~rc2-1) experimental; urgency=medium

  * New upstream pre-release
    + Fix test failure on alpha due to unaligned memory access. (Closes:
      #823133)
  * control: Set Rules-Requires-Root to no
  * dav_svn.conf: Clarify wording about SVNPath/SVNParentPath (LP: #917147)
  * Enable libsvn-java on ia64
  * Update upstream signing keys
  * rules:
    + Move install-javahl-java rule to install-arch
    + Ensure Perl binding shared libs are writable before deleting RPATH
  * subversion-tools: Change exim4 | m-t-a Recommends to default-mta | m-t-a
  * Declare compliance with Policy 4.1.4, no changes required

 -- James McCoy <jamessan@debian.org>  Sat, 07 Apr 2018 11:09:43 -0400

subversion (1.10.0~rc1-2) experimental; urgency=medium

  * libsvn1.symbols: Use 1.10, not 1.10~rc1, for the new symbols
  * Mark libsvn-perl Multi-Arch: same

 -- James McCoy <jamessan@debian.org>  Fri, 02 Mar 2018 08:28:39 -0500

subversion (1.10.0~rc1-1) experimental; urgency=medium

  * debian/control:
    + Actually drop quilt Build-Depends
    + Change Vcs-* to salsa.d.o
    + Declare compliance with Policy 4.1.3, no changes needed
    + Bump debhelper compat to 11
    + Switch default-jdk Build-Depends to headless variant
  * debian/rules:
    + Disable parallelization for local-install target
    + Avoid errors trying to delete RPATH from non-ELF files
    + Move install-related dh_* commands to the install targets
  * New upstream release
    + Fix spurious E160016 error with fsfs repository when operative and peg
      revisions differ.  (Closes: #880593)
    + Add liblz4-dev and libutf8proc-dev to Build-Depends
    + Remove ruby-typemap-digest patch, merged upstream
    + Remove no-extra-libs/no-extra-libs-2 patches, as they provided marginal
      benefit and were unnecessary divergence from upstream
    + Switch from libgnome-keyring to libsecret for GNOME keyring support
      (Closes: #867918)
    + Switch to KDE Frameworks 5 wallet support (Closes: #883593)
    + Update svn_load_dirs, emacs extensions, svn-clean, and
      svn_apply_autoprops from upstream's contrib/
      - svn_apply_autoprops now understands -h and --help (Closes: #606638)
  * Remove svn-fast-backup from subversion-tools.  It was removed upstream
    years ago and is unmaintained.
  * Update libsvn1.symbols for 1.10
  * Distribute NOTICE file to satisfy Apache license requirements
  * Fix ruby-script-but-no-ruby-dep lintian override by adding a wildcard to
    the end.
  * libsvn-doc: Use dh_installdocs instead of manual install commands
  * Turn libsvn-dev's /u/s/d/libsvn-dev → libsvn1 symlink into a directory
  * Turn libsvn-java's /u/s/d/libsvn-java → libsvn1 symlink into a directory

 -- James McCoy <jamessan@debian.org>  Thu, 01 Mar 2018 22:54:18 -0500

subversion (1.9.7-4) unstable; urgency=medium

  * Actually drop quilt Build-Depends
  * Change Vcs-* to salsa.d.o
  * Declare compliance with Policy 4.1.3, no changes needed
  * Switch default-jdk Build-Depends to headless variant
  * Disable parallelization for local-install target
  * Disable libsvn-java on ia64

 -- James McCoy <jamessan@debian.org>  Mon, 05 Mar 2018 19:47:43 -0500

subversion (1.9.7-3) unstable; urgency=medium

  * Remove workaround for #871514, now that it's fixed.
  * Convert package to 3.0 (quilt)
  * Stop generating libsvn-perl.install.  The multi-arch vendor directory has
    been in effect since jessie.
  * debian/rules:
    + Ensure $(PY_DIR) always exists so the upstream Makefiles don't try to
      recreate it, causing the build to fail.
    + Add .NOTPARALLEL to prevent install-arch's dh_prep from deleting files
      install-indep installed or vice-versa.  Thanks to Robert McQueen for the
      idea.  (Closes: #680125)
  * patches/build-fixes:
    + Stop patching out calls to serf_debug__closed_conn.  This requires serf
      >= 1.3.9-4 to avoid gaining invalid Depends.
    + Remove out-of-tree swig changes.  Using an absolute path for the
      out-of-tree directory and ensuring the relevant build directories exists
      resolves the problem.
  * patches/rpath:
    + Move INSTALLDIRS=vendor to debian/rules instead of patching upstream
      code.
    + Use "chrpath -d" to remove RPATHs instead of changing various bits of
      upstream build system.
  * Lintian:
    + Use https URL in debian/watch
    + Change extra Priorities to optional
  * Declare compliance with Policy 4.1.2
  * Mark libsvn-{doc,dev} Multi-Arch: foreign/same, respectively, per the
    multiarch hinter.

 -- James McCoy <jamessan@debian.org>  Fri, 08 Dec 2017 22:26:53 -0500

subversion (1.9.7-2) unstable; urgency=medium

  * Disable optimizations on mips64el to workaround GCC bug #871514.
  * Use debhelper's dh_update_autotools_config and drop explicit Build-Depends
    on autotools-dev.

 -- James McCoy <jamessan@debian.org>  Wed, 16 Aug 2017 22:50:12 -0400

subversion (1.9.7-1) unstable; urgency=high

  * New upstream release
    + Security fix
      - CVE-2017-9800: Arbitrary code execution on clients through malicious
        svn+ssh URLs in svn:externals and svn:sync-from-url

 -- James McCoy <jamessan@debian.org>  Thu, 10 Aug 2017 12:59:16 -0400

subversion (1.9.6-1) unstable; urgency=medium

  * New upstream release
    + Subversion server will now reject commits which cause SHA1 collisions,
      if rep-sharing is enabled (as it is by default) in db/fsfs.conf.
  * Remove Peter Samuelson as maintainer, at request of MIA team.  Thanks for
    all the fish!  (Closes: #852219)
  * Revise metadata for subversion.  (Closes: #863037)
    + Add mention of svnsync to Description
    + Suggests libapache2-mod-svn
  * Remove "-pie" from hardening options since the semantics changed in dpkg
    1.18.13.  Thanks to Adrian Bunk for the explanation/patch.  (Closes:
    #865696)
  * Bump minimum SQLite compatibility to 3.8.7
  * Declare compliance with Policy 4.0.0, no changes needed
  * Bump debhelper compat to 10

 -- James McCoy <jamessan@debian.org>  Sun, 09 Jul 2017 22:27:49 -0400

subversion (1.9.5-1) unstable; urgency=medium

  * New upstream release
    + Security fix
      - CVE-2016-8734: Unrestricted XML entity expansion in HTTP clients
    + Fix corruption of "{DATE}" revision variable in swig-pl.  (Closes:
      #843138)
    + Remove patches:
      - ruby-frozen-nil: Alternative fix committed upstream.
      - Backported patches: perl-swig-crash, swig3.x-compat,
        r1722164-swig-cppflags
  * Fix #! lines for libsvn-{java,dev}.postinst.  (Closes: #843292, #843288)
  * Remove maintainer scripts that were handling pre-Jessie changes.
  * Use dh_apache2's substvars in libapache2-mod-svn.

 -- James McCoy <jamessan@debian.org>  Tue, 29 Nov 2016 22:50:42 -0500

subversion (1.9.4-3) unstable; urgency=medium

  * Build with hardening flags
  * Backport patches/perl-swig-crash from upstream to fix crashes with the
    Perl bindings, commonly seen when using git-svn.  (Closes: #780246,
    #534763)

 -- James McCoy <jamessan@debian.org>  Sat, 03 Sep 2016 14:45:04 -0400

subversion (1.9.4-2) unstable; urgency=medium

  * Add Build-Depends on rename package and invoke rename instead of prename.
    (Closes: #826057)
  * Fix removal of .so/.la files for private libsvn_ra_{serf,local} from -dev
    package.
  * Replace use of debhelper's deprecated -s with -a
  * Declare compliance with Policy 3.9.8, no changes required
  * Use https URL for Vcs-Browser

 -- James McCoy <jamessan@debian.org>  Mon, 25 Jul 2016 22:48:13 -0400

subversion (1.9.4-1) unstable; urgency=high

  * New upstream release.
    + Security fixes
      - CVE-2016-2167: svnserve/sasl may authenticate users using the wrong
        realm
      - CVE-2016-2168: Remotely triggerable DoS vulnerability in mod_authz_svn
        during COPY/MOVE authorization check
    + Remove merged patch ruby-test-unit.
    + Fix non-canonical path assertion in svn-graph.pl.  (Closes: #702922)
    + Abort a commit on Ctrl-C.  (Closes: #502222, #501971)
  * d/rules: Remove an extraneous "done" to fix FTBFS when bash is $SHELL.
    (Closes: #821930)

 -- James McCoy <jamessan@debian.org>  Wed, 27 Apr 2016 20:47:49 -0400

subversion (1.9.3-3) unstable; urgency=medium

  * Remove transitional packages and maintainer snippets supporting upgrades
    from pre-jessie systems.
  * Enable libsvn-java on m68k and sparc64, since openjdk-8-jdk is now
    available on those archs.
  * Declare compliance with policy 3.9.7, no changes needed.
  * Remove subversion-dbg package in favor of automatic -dbgsym package.
  * Bump debhelper compat to 9.
  * Fix FTBFS on mips(el) by working around GCC bug #816698
  * Fix SWIG build issues
    + Backport patches/swig3.x-compat from upstream
    + Switch back to “Build-Depends: swig”  (Closes: #817002)

 -- James McCoy <jamessan@debian.org>  Mon, 14 Mar 2016 00:34:52 -0400

subversion (1.9.3-2) unstable; urgency=medium

  * Remove -Wdate-time from CPPFLAGS passed to swig.  (Closes: #809054)

 -- James McCoy <jamessan@debian.org>  Fri, 15 Jan 2016 22:45:33 -0500

subversion (1.9.3-1) unstable; urgency=high

  * New upstream release.
    + Security fixes
      - CVE-2015-5259: Heap overflow and out-of-bounds read in svn:// protocol
        parser
      - CVE-2015-5343: Heap overflow and out-of-bounds read in mod_dav_svn
    + Fix dumps of no-op changes with “svnadmin dump”.  (Closes: #803725)
    + Fix segfault when performing a diff when repository is on server root.
      (Closes: #802611)
    + Fix translations of commit notifications.  (Closes: #802156)
    + Fix authz with mod_auth_ntlm/mod_auth_kerb.  (Closes: #797216)
    + Restore reporting (un)lock errors as failures.  (Closes: #796781)

 -- James McCoy <jamessan@debian.org>  Tue, 15 Dec 2015 20:26:57 -0500

subversion (1.9.2-3) unstable; urgency=medium

  * Re-enable libsvn-java on kfreebsd-*.
  * Ensure swig2.0 is used to avoid build failures, until upstream figures
    out how to work with swig >= 3.0.  (Closes: #804389)
  * Fix FTBFS with Ruby 2.2 (Closes: #803589)
    + Add ruby-frozen-nil patch to create a new Object instead of trying to
      make modifications to the nil object.
    + Add ruby-test-unit patch to be compatible with the ruby-test-unit gem as
      well as the older test-unit API provided by minitest.

 -- James McCoy <jamessan@debian.org>  Mon, 09 Nov 2015 19:22:18 -0500

subversion (1.9.2-2) unstable; urgency=medium

  * Fix FTBFS with older Ruby versions by using RbConfig['vendorarchdir'] to
    find the .a/.la files we're deleting.

 -- James McCoy <jamessan@debian.org>  Sun, 18 Oct 2015 22:10:03 -0400

subversion (1.9.2-1) unstable; urgency=medium

  * New upstream release
    + Fix crash when saving credentials in kwallet.  (Closes: #736879,
      LP: #563179)

 -- James McCoy <jamessan@debian.org>  Wed, 23 Sep 2015 21:27:15 -0400

subversion (1.9.1-1) unstable; urgency=medium

  * New upstream release
    + Remove direct use of svn_fs_open2 from libsvn_fs_x, thus fixing the
      missing svn_fs_open2 symbol.  (Closes: #795160)
  * Enable gpg verification of new releases.
  * Rename bash-completion file to svn and add symlinks for all other commands
    which have completion.  (Closes: #797648)
  * debian/tests/libapache2-mod-svn: Stop apache2 before ending the test, to
    avoid leaving stray processes running.

 -- James McCoy <jamessan@debian.org>  Mon, 07 Sep 2015 19:21:22 -0400

subversion (1.9.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release.
    + Security fixes
      - CVE-2015-3184: Mixed anonymous/authenticated path-based authz with
        httpd 2.4
      - CVE-2015-3187: svn_repos_trace_node_locations() reveals paths hidden
        by authz
  * Add >= 2.7 requirement for python-all-dev Build-Depends, needed to run
    tests.
  * Remove Build-Conflicts against ruby-test-unit.  (Closes: #791844)
  * Remove patches/apache_module_dependency in favor of expressing the
    dependencies in authz_svn.load/dav_svn.load.
  * Build-Depend on apache2-dev (>= 2.4.16) to ensure ap_some_authn_required()
    is available when building mod_authz_svn and Depend on apache2-bin (>=
    2.4.16) for runtime support.

 -- James McCoy <jamessan@debian.org>  Fri, 07 Aug 2015 21:32:47 -0400

subversion (1.9.0~rc3-1) experimental; urgency=medium

  * New upstream pre-release.
  * Point the Vcs-* URLs at the right directory

 -- James McCoy <jamessan@debian.org>  Thu, 16 Jul 2015 19:39:54 -0400

subversion (1.9.0~rc2-2) experimental; urgency=medium

  * Bump minimum JDK version to 1.6 in accordance with upstream change,
    “javahl: requires Java 1.6 (r1677003)”
    - This causes libsvn-java to no longer be available where gcj is the only
      available Java implementation

 -- James McCoy <jamessan@debian.org>  Thu, 11 Jun 2015 22:29:08 -0400

subversion (1.9.0~rc2-1) experimental; urgency=medium

  * New upstream pre-release.  Refresh patches.

 -- James McCoy <jamessan@debian.org>  Tue, 02 Jun 2015 06:52:59 -0400

subversion (1.9.0~rc1-2) experimental; urgency=medium

  * Install bash completion to /usr/share/bash-completion/completions
  * Add dav_svn_get_repos_path2 symbol to apache_module_dependency patch.
    (Closes: #786903)

 -- James McCoy <jamessan@debian.org>  Fri, 29 May 2015 20:07:32 -0400

subversion (1.9.0~rc1-1) experimental; urgency=medium

  * New upstream pre-release. Refresh patches.
    + Remove backported patches libtoolize, ruby2.0-build-fixes,
      test-failure-with-optimizations, CVE-2014-3580, CVE-2014-8108,
      CVE-2015-0202, CVE-2015-0248, CVE-2015-0251.
    + New svn-vendor tool, alternative to svn_load_dirs.
    + svn-bench renamed to svnbench and moved to subversion package.
    + fsfs-stats tool replaced by the "stats" subcommand of the new svnfsfs
      command.
    + Minimum supported version of serf bumped to 1.3.4.
    + pkgconfig files are available for the various libsvn_* libraries.
    + Fix “access forbidden” errors when performing a diff on a remote
      repository when the user does not have access to the parent directory.
      (Closes: #739278)
  * debian/rules: Add new generated files to clean target
  * debian/control:
    + Remove Troy Heber from Uploaders, at his request.  Thanks for all the
      fish!
    + Add dh-python to Build-Depends

 -- James McCoy <jamessan@debian.org>  Mon, 11 May 2015 19:56:48 -0400

subversion (1.8.13-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
    - Remove backported patches CVE-2014-8108, CVE-2014-3580, CVE-2015-0202,
      CVE-2015-0248, CVE-2015-0251, ruby2.0-build-fixes, and
      test-failure-with-optimizations.
  * Add patches wc-queries-test1-r1672295 and wc-queries-test2-r1673691, from
    upstream, to fix wc-queries test failures with new SQLite versions.
    (Closes: #785496)

 -- James McCoy <jamessan@debian.org>  Fri, 22 May 2015 02:43:09 -0400

subversion (1.8.10-6) unstable; urgency=high

  * patches/CVE-2015-0202: Excessive memory use with certain REPORT requests
    against mod_dav_svn with FSFS repositories
  * patches/CVE-2015-0248: Assertion DoS vulnerability for certain mod_dav_svn
    and svnserve requests with dynamically evaluated revision numbers
  * patches/CVE-2015-0251: mod_dav_svn allows spoofing svn:author property
    values for new revisions

 -- James McCoy <jamessan@debian.org>  Tue, 31 Mar 2015 22:51:18 -0400

subversion (1.8.10-5) unstable; urgency=medium

  * patches/CVE-2014-8108: mod_dav_svn DoS vulnerability with invalid virtual
    transaction names  (Closes: #773315)
  * patches/CVE-2014-3580: mod_dav_svn DoS vulnerability with invalid REPORT
    requests (Closes: #773263)

 -- James McCoy <jamessan@debian.org>  Wed, 17 Dec 2014 00:11:03 -0500

subversion (1.8.10-4) unstable; urgency=medium

  * control: Use "dh_install --list-missing" instead of --fail-missing to
    avoid a FTBFS with parallel builds.  (Closes: #768903)

 -- James McCoy <jamessan@debian.org>  Mon, 10 Nov 2014 22:19:02 -0500

subversion (1.8.10-3) unstable; urgency=medium

  * Add a NEWS item describing that 1.7.x and later do not support having a
    working copy which spans multiple filesystems.  (Closes: #766285)
  * rules: Needs more MAN3EXT so generated swig-pl Makefile never installs
    files to debian/tmp with wrong extensions.
  * Move some less frequently used tools to subversion-tools and include the
    fsfs-* tools.  (Closes: #764689)
  * Switch from specifying gcj as the Java implementation to default-jdk.
    (Closes: #737527, #421400)
    - Remove patches/java-build

 -- James McCoy <jamessan@debian.org>  Sat, 25 Oct 2014 21:47:16 -0400

subversion (1.8.10-2) unstable; urgency=medium

  * Add patches/test-failure-with-optimizations from upstream to fix test
    failures with certain build configurations.  (Closes: #757773)
  * Add patches/libtoolize from upstream to support the Multi-Arch libtool
    packaging.  (Closes: #761789)

 -- James McCoy <jamessan@debian.org>  Wed, 24 Sep 2014 20:54:34 -0400

subversion (1.8.10-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
    - Includes security fixes:
      + CVE-2014-3522: ra_serf improper validation of wildcards in SSL certs.
      + CVE-2014-3528: credentials cached with svn may be sent to wrong
        server.
  * debian/rules: Avoid an unnecessary call to dpkg-buildflags.
  * debian/control: Pre-Depend on ${misc:Pre-Depends} instead of hard-coding
    multiarch-support, as suggested by Lintian.

 -- James McCoy <jamessan@debian.org>  Tue, 12 Aug 2014 21:57:23 -0400

subversion (1.8.9-2) unstable; urgency=medium

  * Use Perl's $Config{vendorarch} to determine where libsvn-perl's files were
    installed.  This enables being built against a Multi-Archified Perl.
    (Closes: #752816)

 -- James McCoy <jamessan@debian.org>  Wed, 16 Jul 2014 08:46:24 -0400

subversion (1.8.9-1) unstable; urgency=medium

  * New upstream release
  * Merge changes from Ubuntu:
    - Add DEB-8 test for Apache functionality
    - debian/rules: Create pot file on build.
    - debian/rules: Ensure the doxygen output directory exists
    - Move svn2cl to subversion-tools' Suggests on Ubuntu.

 -- James McCoy <jamessan@debian.org>  Tue, 20 May 2014 22:45:32 -0400

subversion (1.8.8-2) unstable; urgency=medium

  * Fix builds with ruby 2.x.  (Closes: #739772)

 -- James McCoy <jamessan@debian.org>  Sun, 30 Mar 2014 22:46:58 -0400

subversion (1.8.8-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
    - Remove backported patches sqlite_3.8.x_workaround & swig-pl_build_fix
    - Fix integer overflows with 32-bit svnserv, which could cause an infinite
      loop (Closes: #738840) or inaccurate statistics (Closes: #738841)
    - Work around SQLite not honoring umask when creating rep-cache.db.
      (Closes: #735446)
    - Includes security fix:
      + CVE-2014-0032: mod_dav_svn crash when handling certain requests with
        SVNListParentPath on  (Closes: #737815)
  * Add a subversion-dbg package.  (Closes: #508147)
  * Bump libdb5.1-dev → libdb5.3-dev  (Closes: #738650)

 -- James McCoy <jamessan@debian.org>  Thu, 20 Feb 2014 20:38:10 -0500

subversion (1.8.5-2) unstable; urgency=medium

  * rules: Move comment out of multi-line variable definition so configure is
    run with the correct flags.  (Closes: #735609)
  * control: Remove libsvn-ruby1.8 Provides from ruby-svn.
  * Add patches/swig-pl_build_fix, from upstream, to fix a build failure when
    configure is run with --enable-sqlite-compatibility.

 -- James McCoy <jamessan@debian.org>  Fri, 17 Jan 2014 20:05:25 -0500

subversion (1.8.5-1) unstable; urgency=low

  [ Peter Samuelson ]
  * New upstream release.  (Closes: #725787) Rediff patches:
    - Remove apr-abi1 (applied upstream), rename apr-abi2 to apr-abi
    - Remove loosen-sqlite-version-check (shouldn't be needed)
    - Remove java-osgi-metadata (applied upstream)
    - svnmucc prompts for a changelog if none is provided. (Closes: #507430)
    - Remove fix-bdb-version-detection, upstream uses "apu-config --dbm-libs"
    - Remove ruby-test-wc (applied upstream)
    - Fix “svn diff -r N file” when file has svn:mime-type set.
      (Closes: #734163)
    - Support specifying an encoding for mod_dav_svn's environment in which
      hooks are run.  (Closes: #601544)
    - Fix ordering of “svnadmin dump” paths with certain APR versions.
      (Closes: #687291)
    - Provide a better error message when authentication fails with an
      svn+ssh:// URL.  (Closes: #273874)
    - Updated Polish translations.  (Closes: #690815)

  [ James McCoy ]
  * Remove all traces of libneon, replaced by libserf.
  * patches/sqlite_3.8.x_workaround: Upstream fix for wc-queries-test test
    failurse.
  * Run configure with --with-apache-libexecdir, which allows removing part of
    patches/rpath.
  * Re-enable auth-test as upstream has fixed the problem of picking up
    libraries from the environment rather than the build tree.
    (Closes: #654172)
  * Point LD_LIBRARY_PATH at the built auth libraries when running the svn
    command during the build.  (Closes: #678224)
  * Add a NEWS entry describing how to configure mod_dav_svn to understand
    UTF-8.  (Closes: #566148)
  * Remove ancient transitional package, libsvn-ruby.
  * Enable compatibility with Sqlite3 versions back to Wheezy.
  * Enable hardening flags.  (Closes: #734918)
  * patches/build-fixes: Enable verbose build logs.
  * Build against the default ruby version.  (Closes: #722393)

 -- James McCoy <jamessan@debian.org>  Sun, 12 Jan 2014 19:48:33 -0500

subversion (1.7.14-1) unstable; urgency=medium

  * New upstream version.
    - mod_dav_svn: Prevent crashes with some 3rd party modules.  (Closes:
      #728352)
    - Includes security fix:
      + CVE-2013-4505: mod_dontdothat restrictions bypassed by relative
        requests  (Closes: #730541)
      + CVE-2013-4558: mod_dav_svn assertion when SVNAutoversioning is
        enabled.
  * Bump compat to debhelper 8
  * Use shlibs.local to handle intrapackage dependencies on private libraries.
  * rules: Fix removal of libsvnjavahl-1.a/.la/.so from libsvn-dev.  (Closes:
    #711911)
  * Remove obsolete conffiles under /etc/svn2cl.  (Closes: #677990)

 -- James McCoy <jamessan@debian.org>  Fri, 27 Dec 2013 10:17:38 -0500

subversion (1.7.13-3) unstable; urgency=low

  * Remove architecture exclusions for libsvn-java.  (Closes: #710498)
  * Fix multi-arch Python include paths.  (Closes: #698443)
  * Add strict Depends on libsvn1 to libapach2-mod-svn since the latter
    leverages some internal APIs and therefore must be upgraded in lock step.
    (Closes: #705464)
  * Standards-Version 3.9.5 (no change needed).
  * Add strict minimum Depends on libsqlite3-0 to work around lack of build
    time dependency information.  (Closes: #721878)

 -- James McCoy <jamessan@debian.org>  Sat, 16 Nov 2013 11:33:37 -0500

subversion (1.7.13-2) unstable; urgency=low

  * Remove unnecessary libapache2-svn.prem.  (Closes: #726717)

 -- James McCoy <jamessan@debian.org>  Fri, 18 Oct 2013 23:23:06 -0400

subversion (1.7.13-1) unstable; urgency=low

  [ Peter Samuelson ]
  * New upstream version.  (Closes: #719476)
    - patches/CVE-2013-1968.patch, patches/CVE-2013-2112.patch: remove,
      obsoleted
    - Includes security fixes:
      + CVE-2013-4131: Remotely triggered crash in mod_dav_svn (Closes:
        #717794)
      + CVE-2013-4277: Local privilege escalation vulnerability via symlink
        attack (Closes: #721542)
      + CVE-2013-2088: Arbitrary code execution in check-mime-type.pl and
        svn-keyword-check.pl contrib scripts.

  [ James McCoy ]
  * Add myself to uploaders.
  * Acknowledge NMUs.
  * Canonicalize the Vcs-* URLs.  Thanks, Lintian.
  * Remove Guilherme de S. Pastore from Uploaders. (Closes: #698270)
  * Add Breaks: svnmailer (<< 1.0.9) to python-subversion.  (Closes: #726491)
  * Remove obsolete conffile /etc/emacs/site-start.d/50psvn.el.  (Closes:
    #705033)

 -- James McCoy <jamessan@debian.org>  Wed, 16 Oct 2013 20:53:11 -0400

subversion (1.7.9-1+nmu6) unstable; urgency=low

  * Add Breaks/Replaces: libapache2-svn to libapach2-mod-svn.

 -- James McCoy <jamessan@debian.org>  Tue, 01 Oct 2013 00:28:55 -0400

subversion (1.7.9-1+nmu5) unstable; urgency=low

  * Non-maintainer upload.
  * Re-enable libapache2-svn build  (Closes: #725028)
  * Adjust packaging for Apache 2.4 compatibility  (Closes: #712004)
    - Rename libapache2-svn to libapache2-mod-svn and add a transitional
      package
    - Add apache2-dev & dh-apache2 to Build-Depends
    - Add apache2-api-20120211 as a Depends for libapache2-mod-svn
    - Update maintainer scripts to use apache2-maintscript-helper

 -- James McCoy <jamessan@debian.org>  Mon, 30 Sep 2013 19:02:34 -0400

subversion (1.7.9-1+nmu4) unstable; urgency=low

  * Non-maintainer upload.
  * patches/ruby-test-wc: New patch from upstream to fix a stray case of a
    testsuite failure due to APR 1.4 hash randomization.  Thanks to
    Michael Gilbert for digging this up.  (Closes: #705364)
  * Use --disable-neon-version-check to build libsvn_ra_neon against libneon27
    0.30.0.
  * Add handling of directory to symlink conversions for
    /usr/share/doc/libsvn-{dev,java,ruby,ruby1.8}.  (Closes: #690155)

 -- James McCoy <jamessan@debian.org>  Mon, 02 Sep 2013 21:11:08 -0400

subversion (1.7.9-1+nmu3) unstable; urgency=high

  * Non-maintainer upload.
  * Disable libapache2-svn build (closes: #712004, #666794)

 -- Julien Cristau <jcristau@debian.org>  Tue, 09 Jul 2013 19:56:11 +0200

subversion (1.7.9-1+nmu2) unstable; urgency=high

  * Non-maintainer upload.
  * Add CVE-2013-1968.patch patch.
    CVE-2013-1968: Subversion FSFS repositories can be corrupted by newline
    characters in filenames. (Closes: #711033)
  * Add CVE-2013-2112.patch patch.
    CVE-2013-2112: Fix remotely triggerable DoS vulnerability. (Closes: #711033)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 06 Jun 2013 13:14:52 +0200

subversion (1.7.9-1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert SVN_STREAM_CHUNK_SIZE to an integer in svn/core.py (closes: #683188).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 12 Apr 2013 00:58:01 +0000

subversion (1.7.9-1) unstable; urgency=medium

  * New upstream version.  Some DOS fixes in mod_dav_svn:
    - CVE-2013-1845: mod_dav_svn excessive memory usage from property changes
    - CVE-2013-1846: mod_dav_svn crashes on LOCK requests against activity URLs
    - CVE-2013-1847: mod_dav_svn crashes on LOCK requests against non-existant
      URLs
    - CVE-2013-1849: mod_dav_svn crashes on PROPFIND requests against activity
      URLs
    - CVE-2013-1884: mod_dav_svn crashes on out of range limit in log REPORT
      request
  * patches/python-swig205, patches/g++47: Remove as obsolete.
  * Don't make python-subversion 'Depends: subversion'.  It is quite
    usable on its own.
  * Move libsvn1 to section 'libs'.  (Ref: #700145)
  * Update watch file.  (Closes: #672157)

 -- Peter Samuelson <peter@p12n.org>  Sat, 06 Apr 2013 16:16:37 -0500

subversion (1.7.5-1) unstable; urgency=low

  [ Peter Samuelson ]
  * New upstream version.  (Closes: #621692, #656966)
    - Refresh patches; remove obsolete no-dbus-spam, kwallet-wid,
      perl-warning, perl-compiler-flags, po, swig2-compat,
      disable-failing-tests, python-exception-syntax
    - Split patches/apr-abi into apr-abi1 (to be submitted) and
      apr-abi2 (Debian-specific).
    - Disable patches/ruby-test-info ... for now.
    - Requires serf 1.0 or higher.
  * Upstream no longer ships contrib in tarball:
    - Remove contrib-license-audit
    - subversion-tools now Recommends: svn2cl
    - Ship svn-clean, svn-fast-backup, svn_apply_autoprops,
      svn_load_dirs, commit-email.pl in debian/contrib
    - Don't ship svnmerge.py, it has outlived its usefulness
    - Delete patches/{svn2cl-*,svn-clean-ignore,commit-email}
    - Overhaul debian/copyright
  * rules: Specify that we want our own libtool.  Otherwise it finds the
    one from /usr/share/apr-1.0/build, which doesn't support C++.
  * patches/entropy: Remove as obsolete.  It was a workaround for apr
    using /dev/random, but apr switched to /dev/urandom in 1.3.
  * Move emacs plugins from subversion to subversion-tools.
  * patches/java-osgi-metadata: Add OSGi metadata to the libsvn-java
    jarfile.  Thanks Jakub Adam.  (Closes: #644438)
  * Switch from python-support to dh_python2.
  * patches/python-swig205: New patch: Adjust for swig 2.0.5+ handling of
    Python ints vs. longs.

  [ Michael Diers ]
  * More contrib adjustments:
    - Provide debian/contrib/emacs from upstream VCS contrib/client-side/emacs
    - Add svn_1.6_releasenotes.html, svn_1.7_releasenotes.html
    - subversion.docs, subversion.install
    - subversion-tools.docs, subversion-tools.manpages

 -- Peter Samuelson <peter@p12n.org>  Sat, 16 Jun 2012 23:56:38 -0500

subversion (1.6.18dfsg-1) experimental; urgency=low

  * New upstream version.
    - patches/sasl-mem-handling: delete obsolete patch.
  * Add Conflicts and Replaces: libsvn-jni.  (Closes: #675987)
  * Rename libsvn-ruby1.8 to ruby-svn, per Ruby policy.
    Leave transition package behind for wheezy.

 -- Peter Samuelson <peter@p12n.org>  Fri, 08 Jun 2012 00:04:19 -0500

subversion (1.6.17dfsg-4) unstable; urgency=medium

  * Ack NMU, thanks Ondrej.  Urgency medium because the NMU fixes RC bugs.
    - Revert libsvn-java split.  Instead, disable multiarch for libsvn-java.
      If anyone _needs_ multiarch for Java libraries, which I doubt, we
      should come up with a way to produce deterministic jar files.
    - Reintroduce specific db dependencies, so a random binNMU can't
      change the DB version without warning.
  * Disable serf support for now, as this release won't properly work with
    serf 1.0.
  * patches/g++47: New patch to build with g++ 4.7.
  * Policy 3.9.3 (no changes).
  * Move ruby files to /usr/lib/ruby/vendor_ruby per ruby policy.

 -- Peter Samuelson <peter@p12n.org>  Sun, 03 Jun 2012 17:54:15 -0500

subversion (1.6.17dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload
  * Disable test-suite which was broken by apr 1.4.6 update (Closes: #669494)
  * Also rescue on Errno::EINVAL (Closes: #624810, #629952)
  * Split libsvn-java to libsvn-java and libsvn-jni (Closes: #670034)
  * Depend on generic libdb-dev and db-util (Closes: #621460)
  * Install java files prior to dh_install -i call
  * Declare proper relationships between -jni and -java packages

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 May 2012 15:49:32 +0200

subversion (1.6.17dfsg-3) unstable; urgency=medium

  * libapache2.preinst: Fix upgrade case from before 1.6.17dfsg-2.
  * libapache2.prerm: 'a2dismod' modules in reverse dependency order.
  * patches/apache_module_dependency: New patch to allow mod_authz_svn to
    load before mod_dav_svn and still use its functions.
    All these together, Closes: #642250.
  * Remove a bit more autofoo in 'clean' target.

 -- Peter Samuelson <peter@p12n.org>  Sat, 19 Nov 2011 18:56:28 -0600

subversion (1.6.17dfsg-2) unstable; urgency=low

  * Standards-Version: 3.9.2.  Also, multiarch.
  * Move to debhelper level 7.
  * patches/perl-warning: New patch to suppress a bogus Perl undef warning.
    (Closes: #422699)
  * patches/swig2-compat: New patch from upstream to build with swig 2.x.
    (Closes: #634049)
  * patches/perl-compiler-flags: New patch from upstream to address an
    issue brought to light by Perl 5.14.  (Closes: #628507)
  * patches/sasl-mem-handling: New patch from upstream to fix a crash with
    svn:// URLs and SASL authentication.  (Closes: #631765)
  * patches/svn2cl-upstream: Use --non-interactive in svn2cl to avoid
    hanging on, e.g., password prompts.  (Closes: #443860)
  * patches/python-exception-syntax: New patch: Fix a couple instances of
    literal string exceptions in Python, which don't work in 2.6+.
    (Closes: #585358)
  * Remove some preinst/postinst magic that hasn't been needed in years.
  * Split authz_svn.load away from dav_svn.load, since most users do not
    need both.  New installs will enable only dav_svn by default.
  * Restart apache in libapache2-svn postinst.  (Closes: #610236, #628990)
  * Improve symbols file with (regex)__ catchall for private symbols not
    otherwise accounted for.  (Closes: #607544)  I'm also including a
    workaround for rapidsvn, to be removed when 0.14 is released.
  * Add ${misc:Depends} everywhere.  Drop libsvn-java dependency on a jre.
    Thanks, Lintian.
  * Remove the extra copy of jquery supplied by doxygen, from libsvn-doc.
    Doesn't seem to even be used.  Thanks, Lintian.
  * patches/po: New patch from Laurent Bigonville to fix minor issues in
    fr.po and ja.po.  (Closes: #607381)
  * Move to dh_lintian, and fix up the overrides a bit.

 -- Peter Samuelson <peter@p12n.org>  Thu, 15 Sep 2011 12:02:03 -0500

subversion (1.6.17dfsg-1) unstable; urgency=high

  * New upstream version.  Includes security fixes:
    - CVE-2011-1752: Remotely triggered crash in mod_dav_svn
    - CVE-2011-1783: Remotely triggered memory exhaustion in mod_dav_svn
    - CVE-2011-1921: Content leak of certain files marked unreadable
  * svn-bisect: Support $SVN environment variable, requested by Daniel
    Shahaf upstream.
  * Update Lintian overrides to account for python through 2.9,
    in case that ever comes to be.

 -- Peter Samuelson <peter@p12n.org>  Wed, 01 Jun 2011 17:07:33 -0500

subversion (1.6.16dfsg-1) unstable; urgency=high

  * New upstream version.
    - Fixes CVE-2011-0715: Remotely crash mod_dav_svn anonymously via a
      lock token.
  * patches/change-range: New patch to support -cA-B syntax on command line.
  * Stop using svn-make-config.c; we can do the same just by running svn
    itself in a controlled home directory.  Delete debian/tools/.

 -- Peter Samuelson <peter@p12n.org>  Thu, 03 Mar 2011 10:55:42 -0600

subversion (1.6.12dfsg-4) unstable; urgency=high

  * patches/loosen-sqlite-version-check: New patch: Relax the SQLite
    version check, to match the Debian sqlite3 packaging.
    (Closes: #608925)
  * patches/cve-2010-4539: New patch for CVE-2010-4539, fixing a remotely
    triggered crash in mod_dav_svn involving use of the SVNParentPath
    feature.  (Closes: #608989)

 -- Peter Samuelson <peter@p12n.org>  Wed, 05 Jan 2011 10:43:01 -0600

subversion (1.6.12dfsg-3) unstable; urgency=medium

  * Apply two patches from upstream 1.6.15:
    - patches/server-memleak: New patch: fix some server-side memory
      leaks, including CVE-2010-4644.
    - patches/no-wc1.7-check: New patch: Stop checking for being inside a
      1.7 working copy.  The value is too low and the performance penalty
      too high.

 -- Peter Samuelson <peter@p12n.org>  Wed, 22 Dec 2010 20:38:17 -0600

subversion (1.6.12dfsg-2) unstable; urgency=medium

  * patches/cve-2010-3315: New patch for CVE-2010-3315, whereby, in rare
    configurations, mod_dav_svn could give too much access to authorized
    users.
  * control: Update Vcs-* fields, Homepage, Policy to 3.9.1 (no changes),
    tweak python version declaration (Closes: #587853).

 -- Peter Samuelson <peter@p12n.org>  Fri, 01 Oct 2010 12:11:10 -0500

subversion (1.6.12dfsg-1) unstable; urgency=medium

  * Urgency medium, as it (probably) fixes some FTBFS.
  * New upstream version.
    - Fixes some or all cases of inappropriate need for read access to the
      root of the repository.  (Closes: #510883)
  * Disable parallel mode for 'make check', which appears to have made
    some build daemons sad.
  * svn-bisect: use pegs to support bisecting in deleted branches.
    Thanks Nikita Borodikhin.  (Closes: #582344)
  * patches/ruby-test-info: expand for more failures nobody can figure
    out.  Sigh.
  * Upgrade from source format 1.0 to 1.0.

 -- Peter Samuelson <peter@p12n.org>  Mon, 21 Jun 2010 11:53:14 -0500

subversion (1.6.11dfsg-1) unstable; urgency=low

  * New upstream version.  Rediff a patch or two.
    - Mergeinfo queries no longer require access to repository root.
      (Ref: #510883)
    - Ignores errors reading .svn/ in parent directories.  (Closes: #570271)
  * rules: Run 'check' target in parallel mode.

 -- Peter Samuelson <peter@p12n.org>  Mon, 19 Apr 2010 23:22:07 -0500

subversion (1.6.9dfsg-1) unstable; urgency=low

  * New upstream release.
    - patches/16x-po, patches/ruby-test-core: remove, applied upstream.
  * patches/java-build: Update for gcj 4.4.  Update the build dependency
    too, as this version of the patch will not work on gcj 4.3.
    Thanks to Nobuhiro Iwamatsu.  (Closes: #561516)
  * patches/build-fixes: Fix parallelism in 'doc-api' target.  Again.
    (Closes: #537297)
  * patches/ruby-test-info: Disable the two failing ruby tests that
    nobody can reproduce except on the buildds.  (Closes: #545372)

 -- Peter Samuelson <peter@p12n.org>  Wed, 27 Jan 2010 01:57:47 -0600

subversion (1.6.6dfsg-2) unstable; urgency=low

  * Update svn-bisect (Closes: #535234), fix bugs, add features,
    and write a manpage.  Also mention it in the subversion-tools
    Description.  (Closes: #535187)
  * Move from db4.7 to db4.8, tracking apr-util.  (Closes: #557457)
  * Move the example XSL and CSS files for mod_dav_svn to
    /usr/share/doc/libapache2-svn/examples/.  (Closes: #553535)
  * patches/ruby-test-info: New patch to maybe address a FTBFS.  (#545372)
    Thanks Michael Diers, Joe Swatosh and Stefan Sperling.  I expect that
    this is not the only fix needed, but we shall see.
  * patches/16x-po: New patch: a couple translation updates from 1.6.7.
  * libsvn-java: depend on ${shlibs:Depends}, thanks Lintian.
  * python-subversion: Update an outdated Lintian override.
  * libsvn1: Add a handful of Lintian overrides.

 -- Peter Samuelson <peter@p12n.org>  Sun, 22 Nov 2009 17:53:45 -0600

subversion (1.6.6dfsg-1) unstable; urgency=low

  * New upstream release.
    - Reintroduce svn_load_dirs.pl: Dolby has agreed to an explicit free
      software license.  Thanks Blair Zajac for following up on this.
    - patches/ruby-test-core: New patch from upstream to fix a new failure
      in the ruby testsuite.
  * Standards-Version 3.8.3 (no changes).
  * control: Some housecleaning: remove some Conflicts/Replaces/Provides
    that haven't been needed since etch.
  * patches/build-fixes: add a small fix for parallel builds.
    (Closes: #531369, #543110)
  * patches/svn2cl-upstream: New patch to fix the XSL to better comply
    with XML standards.  (Closes: #546990)
  * Enable kwallet support.  (Closes: #539564)
    - patches/kwallet-wid: New patch based very loosely on upstream work, to
      let the kwallet library know your terminal's Window ID, if available.
    - patches/apr-abi, patches/rpath: Fix the LINK_CXX target, now that
      we're finally using it.
  * Set dependency_libs='' in all .la files (Closes: #544877), as per:
    http://lists.debian.org/debian-devel/2009/08/msg00783.html

 -- Peter Samuelson <peter@p12n.org>  Thu, 22 Oct 2009 11:32:13 -0500

subversion (1.6.5dfsg-1) unstable; urgency=low

  * New upstream release.
    - Resolves symlinks in ~/.subversion. (Closes: #541202)
  * patches/ssh-no-controlmaster: Replace with the much simpler approach
    upstream demonstrates with 'ssh -q'.
  * patches/no-dbus-spam: New patch to shut up the gnome-keyring library
    when it can't initialize.  (Closes: #542403)
  * patches/ruby-test-tree-conflicts: New patch from upstream trunk, to
    fix two ruby test failures.

 -- Peter Samuelson <peter@p12n.org>  Thu, 20 Aug 2009 12:16:39 -0500

subversion (1.6.4dfsg-1) unstable; urgency=high

  * New upstream security release.
    - Fix CVE-2009-2411, heap overflows in svndiff stream parsing.

 -- Peter Samuelson <peter@p12n.org>  Wed, 05 Aug 2009 20:12:07 -0500

subversion (1.6.3dfsg-1) unstable; urgency=low

  * New upstream release.  (Closes: #531366)
  * Upload to unstable (Closes: #532648)
  * Update package sections corresponding to recent ftpmaster work.
  * Re-enable libsvn_ra_serf, now that serf 0.3.0-0.2 is available.
  * Add symbols file for libsvn1, for finer-grained dependencies.

 -- Peter Samuelson <peter@p12n.org>  Tue, 14 Jul 2009 23:51:24 -0500

subversion (1.6.1dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Peter Samuelson <peter@p12n.org>  Thu, 09 Apr 2009 17:30:40 -0500

subversion (1.6.0dfsg-1) experimental; urgency=low

  * New upstream release.
    - patches/{commit-email2,out-of-tree-build-fixes,svn2cl-upstream,
               ssh-no-sigkill}: deleted, applied or obsoleted upstream.
      Other patches rediffed.
    - patches/build-fixes: New patch, mostly for out-of-tree build stuff.
    - Fixes typo in fr.po.  (Closes: #503266)
    - Fixes WC out-of-sync issue.  (Closes: #500665)
  * Build-depends: libsqlite3-dev, libgnome-keyring-dev, libdbus-1-dev.
    We _should_ give equal opportunity to KDE 4 KWallet support,
    but in terms of dependencies, that is a much heavier burden.
    - Disable 'auth-test' test.  It assumes the gnome-keyring service
      is available at test time - not likely, on a build daemon.
  * Remove serf backend support for now, as it requires 0.3.0.
  * Move to db4.7, tracking apr-util.  (Closes: #526222)

 -- Peter Samuelson <peter@p12n.org>  Fri, 27 Mar 2009 15:54:25 -0500

subversion (1.5.6dfsg-1) unstable; urgency=low

  * New upstream release.
  * patches/commit-email2: New patch to fix mail header formatting in
    commit-email.pl hook.  (Closes: #508301)
  * Tweak 'site-packages' location for python 2.6, taken from the Ubuntu
    patch uploaded by Matthias Klose.
  * Build-Depends is back again to libdb4.6-dev.

 -- Peter Samuelson <peter@p12n.org>  Wed, 25 Feb 2009 20:23:51 -0600

subversion (1.5.5dfsg1-1) experimental; urgency=low

  * New upstream release.
  * New script svn-bisect, thanks Robert Millan. (Closes: #505100)
  * DAV proxy fixed for certain commit subcommands.  (Closes: #511212)

 -- Peter Samuelson <peter@p12n.org>  Wed, 07 Jan 2009 23:24:53 -0600

subversion (1.5.4dfsg1-1) experimental; urgency=low

  * New upstream release

 -- Peter Samuelson <peter@p12n.org>  Thu, 23 Oct 2008 19:35:57 -0500

subversion (1.5.3dfsg1-1) experimental; urgency=low

  * New upstream release.
    - patches/perl-test-syntax-error: removed, applied upstream
    - Fixes infinite loop in a 'svn mv' corner case (Closes: #497953)
    - bash completion updates (Closes: #499888)

 -- Peter Samuelson <peter@p12n.org>  Fri, 10 Oct 2008 13:27:24 -0500

subversion (1.5.1dfsg1-1) unstable; urgency=low

  * New upstream release.
    - Fixes some major corner cases in merge tracking.
    - Fixes several crash bugs and regressions from 1.4 -> 1.5.
    - patches/ruby-test-wc-normalize-compared-value: Remove, applied upstream.
  * Symlink libsvn_ra_dav-1.so.1 -> libsvn_ra_neon-1.so.1 to avoid
    breaking old packages that mistakenly linked to ra_dav.  This was not
    and is not supported, but at least one package did it.  (Closes: #490423)
  * Add a NEWS entry for 1.5.x in general.
  * debian/watch: Add dversionmangle setting, thanks to lintian.

 -- Peter Samuelson <peter@p12n.org>  Thu, 24 Jul 2008 15:48:17 -0500

subversion (1.5.0dfsg1-4) unstable; urgency=medium

  * Work around bug where 'make javahl' is not -j-safe.

 -- Peter Samuelson <peter@p12n.org>  Mon, 07 Jul 2008 01:37:38 -0500

subversion (1.5.0dfsg1-3) unstable; urgency=medium

  * Bump shlibs file to libsvn1 (>= 1.5.0).  (Closes: #488949)
  * Fix typo in Build-Conflicts (libsvn-dev, not libsvn1-dev).
  * Fix svnwrap(1) manpage inetd.conf example.  (Closes: #462313)

 -- Peter Samuelson <peter@p12n.org>  Wed, 02 Jul 2008 08:23:31 -0500

subversion (1.5.0dfsg1-2) unstable; urgency=low

  * Reenable Java support.
  * patches/java-build: New patch to hack around incompatibilities between
    Sun javah and gcj javah.
  * Remove the last remnants of libsvn-javahl from the source package.
  * Include upstream release notes file svn_1.5_releasenotes.html.
  * Add svn-populate-node-origins-index (used in upgrading a repository
    to 1.5) and svnmucc (useful client tool) to the subversion package.
    (Closes: #408487)

 -- Peter Samuelson <peter@p12n.org>  Mon, 30 Jun 2008 00:22:28 -0500

subversion (1.5.0dfsg1-1) experimental; urgency=low

  * New upstream release
    - Fixes many bugs including:
      - Translation errors (Closes: #404982, #451514)
      - Now exports externals from a working copy.  (Closes: #448864)
      - Newer psvn.el provided.  (Closes: #393651, #441994)
      - 'svn export' handles externals now.  (Closes: #448864)
      - Perl module destructor doesn't crash.  (Closes: #401340)
      - 'svn merge' gets less confused on tree conflicts.  (Closes: #366530)
    - Update debian/contrib-license-audit, README.Debian-tarball
    - Remove obsolete patches: jelmer-python-bindings, kaffe,
      kaffe-javah, limit-zlib-link, neon27, python-memleak,
      ruby-newswig, ruby-test-ra-race, svn-clean-manpage,
      svn_load_dirs, swig-warning-124, testsuite-dont-use-os-popen3
  * rules: Run autogen-swig for each python version.
    (Not strictly needed, but it is the simplest approach.)
  * Switch from dpatch to quilt.
  * Policy 3.8.0:
    - copyright: Delete copy of common-licenses/Apache-2.0
    - control: Add Homepage field;
      Wrap Uploaders field, which was > 80 columns
    - rules: Support DEB_BUILD_OPTIONS=parallel=n;
      Require DEB_BUILD_OPTIONS to be space-separated
    - README.source: New file explaining quilt
  * control: Add XS-Python-Version header, to suppress a warning
  * control: Build-Conflicts: libsvn1-dev (<< 1.5); libtool can cause
    trouble with installed .so files that don't contain needed symbols.
  * control: New Build-Depends: libserf-0-0-dev, libsasl2-dev.
  * control: Simplify Depends/Recommends to assume etch or newer.  (Keep
    some old Conflicts/Replaces/Provides.)  Delete the libsvn-javahl etch
    transition package.
  * control: libsvn-java: I believe it needs java5 now, not just java2.
    Hence gij | java5-runtime-headless.
  * patches/perl-test-syntax-error: New patch borrowed from upstream, to
    fix a perl5.10 issue in one of the tests.
  * patches/ruby-test-wc-normalize-compared-value: New patch borrowed from
    upstream, to fix a ruby test failure.
  * patches/svn2cl: Split into svn2cl-upstream and svn2cl-debian.
    Update svn2cl-upstream to 0.10 from upstream trunk.
  * patches/apr-abi: Small adjustment to reduce libtool warnings.
  * patches/out-of-tree-build-fixes: New patch: fix a few issues with
    building outside the source tree.
  * rules: Disable Java for the first upload to experimental, as I'm still
    working on fixing that.

 -- Peter Samuelson <peter@p12n.org>  Fri, 20 Jun 2008 21:53:29 -0500

subversion (1.4.6dfsg1-5) UNRELEASED; urgency=low

  * Downgrade libsvn-dev "Depends: libneon27-gnutls-dev" to Suggests and
    add zlib1g-dev.  These are for static linking.  (Closes: #482512)

 -- Peter Samuelson <peter@p12n.org>  Thu, 29 May 2008 20:29:41 -0500

subversion (1.4.6dfsg1-4) unstable; urgency=low

  * Disable java on alpha and hppa, as requested by Matthias Klose.
    (Closes: #477908)
  * Switch from neon27 to neon27-gnutls.  (Closes: #478142)
  * patches/testsuite-dont-use-os-popen3: New patch (from upstream):
    use popen2.Popen3 instead of os.popen3.  (Closes: #479079)
  * patches/svn-clean-ignore: New feature patch, a mechanism to specify
    files which, though unversioned, 'svn-clean' should not remove.
    Suggested by Jonathan Hall.
  * Add another -j1 to debian/rules, to fix a parallel build problem.
  * patches/ssh-no-controlmaster: New patch to avoid a bad interaction
    with OpenSSH connection sharing.  (Closes: #413102)

 -- Peter Samuelson <peter@p12n.org>  Sat, 03 May 2008 00:35:18 -0500

subversion (1.4.6dfsg1-3) unstable; urgency=low

  * patches/neon27: update for neon 0.28.  (Closes: #476117)
  * Build for all supported python versions.  Loosely based on an Ubuntu
    patch by Matthias Klose.  (Closes: #446636)

 -- Peter Samuelson <peter@p12n.org>  Mon, 14 Apr 2008 11:08:22 -0500

subversion (1.4.6dfsg1-2) unstable; urgency=low

  * subversion.NEWS: Add a note about the db4.6 upgrade.  (Closes: #465432)
  * rules: use dh_link rather than hand-rolled symlink management.
    Closes: #465609 in the process.
  * rules: Define DEB_HOST_ARCH and friends before using them, to fix
    FTBFSes on the non-java architectures.

 -- Peter Samuelson <peter@p12n.org>  Sat, 08 Mar 2008 14:27:22 -0600

subversion (1.4.6dfsg1-1) unstable; urgency=low

  * New upstream version.
    - Don't use Chinese colons in zh_CN l10n file.  (Closes: #397729)
  * Build with db 4.6, to match apr-util.
  * patches/svn-clean-manpage: New patch, fix a small typo.  (Closes: #441827)
  * patches/neon27: New patch from upstream trunk to support neon 0.27.
    - control: build-depend on libneon27-dev.
    - rules: no longer --disable-neon-version-check.
  * patches/ruby-newswig: Support swig 1.3.33.  (Closes: #453166)
  * patches/python-memleak: New patch to fix a serious memory leak in the
    Python bindings.  Thanks to Jelmer Vernooij.  (Closes: #428755)
  * control: Policy 3.7.3.
  * control: spell 'Source-Version' as 'binary:Version' for political
    correctness.  (Or for clarity.)
  * control: add appropriate Vcs-Svn and Vcs-Browser fields.
  * control: subversion-tools Recommends: rsync.  (Closes: #459023)
  * patches/svn2cl: update svn2cl to 0.9 (from upstream trunk).
  * patches/commit-email: use original 'sendmail' commit-email.pl mode,
    rather than the direct SMTP feature.  (Closes: #447824)
  * rules: do not run 'dh_testroot' or 'make extraclean' in clean rule.
  * rules: rewrite DEB_BUILD_OPTIONS support; remove 'notest' synonym, as
    the world seems to be standardizing on 'nocheck'.
  * rules: remove 'DEB_BUILD_OPTIONS=-j[N]' support, add support for the
    new 'dpkg-buildpackage -j[N]' feature.
  * rules: add an option to disable ruby bindings.  Though it turns out
    we don't need it ... yet.

 -- Peter Samuelson <peter@p12n.org>  Mon, 11 Feb 2008 23:49:02 -0600

subversion (1.4.4dfsg1-1) unstable; urgency=low

  * New upstream version.
    - Fixes rare case of data loss / repository corruption.  (Closes: #419348)
    - Fixes minor security inconsistency regarding restricted paths being
      copied to unrestricted paths, CVE-2007-2448.  (Closes: #428194)
  * Fix note in README.Debian about how to download vc-svn.el.
    Thanks to Michael Richters.  (Closes: #416582)
  * rules: configure --disable-neon-version-check, to allow use of neon 0.26.3.
  * rules: replace $(PWD) with $(CURDIR) to appease lintian.
    Our use of PWD was safe, this is just a cleanup.
  * rules: ship a shlibs file only for libsvn1; nobody should ever link to
    the libraries in other packages.  (Thanks again to lintian.)
    - lintian-overrides: inform lintian that it's ok not to have shlibs
      files in the swig-based packages

 -- Peter Samuelson <peter@p12n.org>  Thu, 07 Jun 2007 00:57:11 -0500

subversion (1.4.3dfsg1-1) experimental; urgency=low

  [ Peter Samuelson ]
  * New upstream version.
    - patches/neon26 removed; applied upstream
  * rules: Small cleanups, thanks to Patrick Desnoyers.
  * patches/jelmer-python-bindings: Remove some python2.4isms (should help
    with porting to sarge and elsewhere).  Thanks to Romain Francoise, and
    upstream.

 -- Peter Samuelson <peter@p12n.org>  Thu, 25 Jan 2007 18:30:04 -0600

subversion (1.4.2dfsg1-2) unstable; urgency=medium

  [ Peter Samuelson ]
  * rules: fix 'dontberoot' target not to run when it shouldn't.
    (Closes: #396435)
  * Add subversion-tools Conflicts: kdesdk-scripts (<= 4:3.5.5-1).
    I'm told that their next release will remove the 'svn-clean' script,
    which is quite similar to the one in subversion-tools.  (See: #397874)
  * Add manpages for svn-clean, svn-hot-backup, svn-fast-backup, and
    svn-backup-dumps.  Troy Heber helped write the last three.
  * Ship svnmerge.README in subversion-tools.

 -- Peter Samuelson <peter@p12n.org>  Fri, 10 Nov 2006 08:45:01 -0600

subversion (1.4.2dfsg1-1) unstable; urgency=low

  [ Peter Samuelson ]
  * New upstream release.
    - No longer ships IETF draft spec.  (Closes: #393414)
    - patches/svnsync-manpage, parts of patches/neon26, patches/svnshell:
      Obsolete, removed.
    - Re-roll upstream tarball to remove some unlicensed files from the
      "contrib" directory.  Update debian/copyright regarding other files
      in "contrib".  (Closes: #394395)
  * patches/neon26: update for 1.4.2, add neon 0.26.2 to the whitelist.
  * Improve libapache2-svn installation experience:
    - Use a2enmod/a2dismod instead of hand-hacking.
    - dav_svn.conf: Comment everything out.  (Many will want to use
      sites-available/* rather than dav_svn.conf anyway.)  Fix some of
      the text and add more.  (Closes: #392805)
  * libsvn-java: Remove alternative Depends: java1-runtime.
    It does in fact require JRE 1.2 (java2-runtime).
  * Build with neon26 instead of neon25.
  * Ship some example code from upstream in the various devel packages.
    - patches/examples-compile-instructions: New patch, some small doc fixes.
  * Ship a lot more scripts in subversion-tools, including svnmerge
    (Closes: #293528), svn2cl (Closes: #350133).
    - List these scripts in the Description.  (Closes: #357506)
    - Downgrade most Depends to Recommends, augment Recommends and Suggests
      to match the scripts.
  * rules: Add explicit check and informative error message for trying to
    build as root.  (Closes: #396435)
  * libapache2-svn Description: it's Apache 2.2, not 2.0.  (Closes: #397113)
  * patches/ruby-test-ra-race: replace my fix by upstream's better one,
    should _really_ fix m68k build this time.  (Closes: #397173)
  * patches/jelmer-python-bindings: New patch: backport python binding
    improvements by Jelmer Vernooij from trunk.  This is needed for
    certain advanced python-based tools.

 -- Peter Samuelson <peter@p12n.org>  Thu,  9 Nov 2006 00:07:42 -0600

subversion (1.4.0-5) unstable; urgency=medium

  [ Peter Samuelson ]
  * rules: Set HOME to a dummy value to prevent a build failure if the
    real HOME is mode -x.  Plus a few minor cleanups.
  * rules: Link -ldb explicitly (rather than implicitly via -laprutil-1).
    This is required for libdb symbol versioning to propagate.
    Thanks to Pitr Jansen for help tracking this down.
  * patches/svnshell: Fix insufficient argument checking in 'setrev'
    command.  (Closes: #392004)

 -- Peter Samuelson <peter@p12n.org>  Wed, 11 Oct 2006 03:30:03 -0500

subversion (1.4.0-4) unstable; urgency=medium

  [ Peter Samuelson ]
  * patches/apr-abi: switch to a simpler test that actually DTRT on 64-bit
    platforms.  (Closes: #391744)

 -- Peter Samuelson <peter@p12n.org>  Sun,  8 Oct 2006 09:26:04 -0500

subversion (1.4.0-3) unstable; urgency=low

  [ Peter Samuelson ]
  * patches/ruby-test-ra-race: New patch for another testsuite race
    discovered on m68k.
  * patches/ruby-typemap-digest: New patch to fix a m68k failure, quite
    possibly the same failure we've seen sporadically on other arches
    in the past.  Thanks to Roman Zippel.  (Closes: #387996)
  * rules: sed *.la to change internal *.la references to -l form.
    (Closes: #388733)
  * control,rules: Reinstate libsvn-javahl as a dummy package, for
    sarge upgrades.  (Closes: #387901)
  * control,rules: Disable Java on hurd-i386, requested by Cyril Brulebois.
  * Build with apache 2.2 / apr1 / aprutil1 again, now that apache 2.2 is
    going into unstable.
    - aprutil1 always links to libdb4.4 nowadays.  (Closes: #387396)
  * libapache2-svn.postinst: Do not enable the dav_fs module: not needed
    for a Subversion server.

  [ Troy Heber ]
  * debian/control clean up of Maintainer and Uploaders fields to reflect the
    current team.

 -- Troy Heber <troyh@debian.org>  Tue,  3 Oct 2006 07:45:31 -0600

subversion (1.4.0-2) unstable; urgency=low

  [ Peter Samuelson ]
  * Run tests in 'build' target, not 'binary' target.  This prevents a
    build failure if 'binary' is run as root (not fakeroot).
  * patches/svnsync-manpage: trivial typo fix from upstream.
  * Delete README.db4.4: the upgrade procedure it describes is now fully
    automatic.

 -- Peter Samuelson <peter@p12n.org>  Sun, 10 Sep 2006 05:05:47 -0500

subversion (1.4.0-1) unstable; urgency=low

  [ Peter Samuelson ]
  * New upstream version - well, not really new, it's rc5 rebranded.
  * Revert libsvn1/apache2.2 change, since apache 2.2 is not yet in
    unstable.  libsvn1 is libsvn0 again, for now.
  * patches/no-extra-libs: detect apr0/apr1 correctly, and use
    pkg-config for neon.
  * patches/neon26: new patch to build cleanly with neon 0.26.1.
    Though we won't actually use it until #386652 is fixed.
  * Document BDB 4.4 upgrade better; also, move the NEWS entry from
    'libsvn0' to 'subversion' where it is more likely to actually be
    read.
  * patches/no-extra-libs-2: Tweak to remove more unnecessary linking.

 -- Peter Samuelson <peter@p12n.org>  Thu,  7 Sep 2006 21:03:06 -0500

subversion (1.4.0~rc5-1) experimental; urgency=low

  * New upstream version.
    - patches/ruby-txtdelta-apply-instructions: remove (obsolete).

 -- Peter Samuelson <peter@p12n.org>  Thu, 24 Aug 2006 05:31:24 -0500

subversion (1.4.0~rc4-2) experimental; urgency=low

  [ Peter Samuelson ]
  * Reenable apache support; build-depend on apache2-threaded-dev 2.2,
    now that it's in experimental.
  * Build-Depends: remove bison, relax python version again (as python
    handling is now done by python-support).
  * patches/ruby-txtdelta-apply-instructions: new patch from upstream,
    fixes the test failure on amd64.
  * Compile against libdb4.4, which should fix the famous "wedged
    repository" issue.
    - Build-Depends: libaprutil1-dev (>= 1.2.7+dfsg-1)
    - Update rules, control, README.db4.4
    - Add note to libsvn1.NEWS - please read it!

 -- Peter Samuelson <peter@p12n.org>  Fri, 18 Aug 2006 13:06:49 -0500

subversion (1.4.0~rc4-1) experimental; urgency=low

  * There is a known issue with amd64 and the SvnDeltaTest in the ruby
    testsuite.

  [ Peter Samuelson ]
  * New upstream release.
    - commit-email.pl has option not to send diffs.  (Closes: #217133)
    - Help text clarified for options like --file.  (Closes: #233099)
    - Rediff patches.  Delete patches already included upstream:
      apache-crash-fix, bash_completion, lc_ctype, perl-test-clean,
      svn_load_dirs-symlinks, swig-1.3.28.
    - Add Build-Depends: zlib1g-dev.
  * Bump subversion-tools dependencies on the other packages to >= 1.4.
  * Support ENABLE_APACHE macro, to disable 'libapache2-svn'.
    Disable apache until apache 2.2 makes its way into experimental.
  * Switch to libapr1, which entails an ABI change to libsvn.
    - libsvn0 -> libsvn1
    - libsvn0-dev -> libsvn-dev
    - patches/apr-abi: New patch: change the libsvn_* SONAMEs.
      (This type of change should be upstream-driven, but upstream has
      declined to do it.)
    - patches/fix-bdb-version-detection: New patch: tweak BDB version
      detection not to rely on an apr-util misfeature (#387105).
  * Rename libsvn-javahl to libsvn-java, to comply (in spirit) with the
    Java Policy.  (Closes: #377119)
  * Rename libsvn-core-perl to libsvn-perl, because it provides several
    modules in the SVN:: namespace, not just SVN::Core.
  * patches/limit-zlib-link: New patch from upstream to prevent
    unnecessary -lz linkage in client binaries.
  * Update copyright file again.
  * Switch to python-support.
  * subversion-tools: downgrade rcs and exim4 to Recommends.
  * Add NEWS entry to libsvn1, explaining compatibility issues - please
    read it, folks!

  [ Troy Heber ]
  * tweaked rpath patch HUNK 2, so it would apply cleanly.

 -- Peter Samuelson <peter@p12n.org>  Thu, 10 Aug 2006 20:43:19 -0500

subversion (1.3.2-6) unstable; urgency=low

  [ Peter Samuelson ]
  * Add libsvn0 Conflicts: subversion (<< 1.3) to prevent chaos from
    linking to both neon24 and neon25.
  * Add libsvn0 Conflicts: python2.3-subversion (<< 1.2.3dfsg1-1)
    because of the libsvn_swig_py move.  (Closes: #385146)
  * Link with Berkeley DB 4.4.  (Closes: #385589, #383880 again)
    - patches/bdb-44: new patch cobbled together from upstream trunk
  * patches/ruby-test-svnserve-race: update from our 'sleep 3' hack to
    what I hope is a proper fix.  Thanks to Kobayashi Noritada, Wouter
    Verhelst and Roman Zippel.  (Closes: #378837)
  * Switch to python-support.

 -- Peter Samuelson <peter@p12n.org>  Sat,  2 Sep 2006 05:04:09 -0500

subversion (1.3.2-5) unstable; urgency=medium

  [ Peter Samuelson ]
  * python-subversion.{prerm,postinst}: use pyversions, fix stupid bug
    (Closes: #379278) in prerm.  Tighten python build-dep to ensure
    availability of pyversions.
  * patches/ruby-test-svnserve-race: increase 'sleep 1' hack to 'sleep 3'
    for now.  Not a proper fix, but should build on m68k.
  * control: downgrade subversion Depends: patch to Suggests.  You can do
    a lot with subversion without a 'patch' program.

 -- Troy Heber <troyh@debian.org>  Mon, 24 Jul 2006 14:01:49 -0600

subversion (1.3.2-4) unstable; urgency=low

  [ Peter Samuelson ]
  * control, rules, patches/*: switch from cdbs-simple-patchsys to dpatch.
    Remove .patch suffixes, change build-depends.
  * rules: separate the *-arch and *-indep targets properly.
  * copyright: updates, mention licenses for the bits in the tarball which we
    don't use.
  * Support new python policy, building for version 'current'.
    Thanks to Max Bowsher.  (Closes: #373387)
  * Improve package descriptions.  (Closes: #375469)
  * Add java2-runtime alternative to libsvn-javahl JVM dependency.
    (Closes: #377529)
  * Add libsvn0 Conflicts: libsvn-core-perl (<< 1.2.3dfsg1-1) to force a
    necessary upgrade.  (Closes: #376565)

  [ Guilherme de S. Pastore ]
  * control: updated e-mail address.

 -- Troy Heber <troyh@debian.org>  Mon, 17 Jul 2006 08:39:20 -0600

subversion (1.3.2-3) unstable; urgency=low

  [ Troy Heber]
  * Adding arm to list of javahl disabled architectures

 -- Troy Heber <troyh@debian.org>  Wed, 14 Jun 2006 14:26:44 -0600

subversion (1.3.2-2) unstable; urgency=low

  [ Peter Samuelson ]
  * control, rules: switch from kaffe to java-gcj-compat-dev.  Thanks to
    Bastian Blank.  Also reenable libsvn-javahl, for now, on all
    architectures except m68k, mips, mipsel.  (Closes: #370228)
  * ruby-test-svnserve-race.patch: new kludge to avoid a race condition in
    the ruby testsuite on really slow machines.

 -- Peter Samuelson <peter@p12n.org>  Mon, 12 Jun 2006 18:50:08 -0500

subversion (1.3.2-1) unstable; urgency=low

  [ Peter Samuelson ]
  * New upstream release.
    - Remove patches applied upstream: apache-crash-fix.patch,
      svn_load_dirs-symlinks.patch, swig-1.3.28.patch
  * debian/watch: new file for use by 'uscan' from devscripts.
  * Standards version 3.7.2.  (No changes.)
  * control: upgrade Build-Conflicts to libsvn0 (<< 1.3).
    This is that old workaround for #291641.
  * rules: rework testsuite invocation:
    - Add 'check' series of targets, and 'check-help' to remind one
      of what they are
    - Conditionalise javahl tests on ENABLE_JAVAHL
    - Reorder the checks to put the core tests at the end; they are by far
      the most time-consuming, and rarely fail anyway
    - Only 'cat tests.log' if the core tests fail: the other testsuites
      don't use that file anyway

 -- Peter Samuelson <peter@p12n.org>  Thu,  1 Jun 2006 04:10:19 -0500

subversion (1.3.1-3) unstable; urgency=medium

  [ Peter Samuelson ]
  * Tighten dependency between subversion and libsvn0, to reduce user
    confusion.  It is almost always the library version that matters, as
    far as bugs and features are concerned.  (Closes: #359315)
  * Disable java bindings on hppa and ia64, since kaffe is broken on
    those architectures.  It's been broken on ia64 for a long time, and it
    looks as though hppa may remain broken for awhile too (see #364819).
  * ssh-no-sigkill.patch: new patch to SIGTERM (instead of SIGKILL) the
    tunnel agent, which is usually ssh.  We can do this now that #313371
    is fixed.  (Closes: #335528)
  * rules: add -V'libsvn0 (>= 1.3.0)' to dh_makeshlibs to loosen the
    shlibs file a bit.  Upstream guarantees that the library ABI won't be
    augmented during any single x.y.* cycle.
  * svnwrap.sh, man/svnwrap.1: new script for subversion-tools package to
    optionally wrap subversion client commands with 'umask 002'.
    (Closes: #242368, #259226, #282468, #292358)
  * lc_ctype.patch: new patch to make locale errors non-fatal, suggested
    by upstream developer Peter Lundblad.  (Closes: #363983)
  * last-changed-date-charset.patch: new patch: convert $LastChangedDate$
    keyword from UTF-8 to local character set.  (Closes: #290774)
  * apache-crash-fix.patch: new patch to fix a crash in mod_dav_svn.
  * swig-warning-124.patch: new patch to disable swig typemap warning,
    drastically shrinking the build log.

  [ Troy Heber ]
  * changing from UNRELEASED to unstable and uploading

 -- Troy Heber <troyh@debian.org>  Fri, 05 May 2006 18:14:57 -0600

subversion (1.3.1-2) unstable; urgency=low

  [ Peter Samuelson ]
  * Fix libsvn-ruby1.8: actually ship the swig glue, which we had overlooked.
    Thanks to Thiago Avancini for the report and some Ruby help.
  * Exclude Java bindings on kfreebsd-amd64.  (Closes: #361488)

 -- Peter Samuelson <peter@p12n.org>  Sun,  9 Apr 2006 05:10:42 -0500

subversion (1.3.1-1) unstable; urgency=low

  [ Peter Samuelson ]
  * New upstream version.
    - Delete obsolete neon-0.25.5.patch.
  * swig-1.3.28.patch: add a few more upstream patches.

 -- Troy Heber <troyh@debian.org>  Tue, 04 Apr 2006 15:05:12 -0600

subversion (1.3.0-5) unstable; urgency=high

  * rpath.patch: Delete rpaths for apache2 modules.
    (Closes: #359234, also see CVE-2006-1564)
    - rules: Do not override INSTALL_MOD_SHARED, this is no longer needed
    - libapache2-svn.install: Use modules from the install, not from
      the build tree

 -- Peter Samuelson <peter@p12n.org>  Tue, 28 Mar 2006 00:56:59 -0600

subversion (1.3.0-4) unstable; urgency=low

  [ Peter Samuelson ]
  * rules: Support DEB_BUILD_OPTIONS=-jN, passed to child make processes.
    Invoke 'make autogen-swig' separately as it has problems with -j.
    Be more paranoid about cleaning out old swig headers.
    Document all the DEB_BUILD_OPTIONS we now support.
  * control: Don't say we provide python2.4-subversion, since we don't.
  * swig-1.3.28.patch: add another upstream patchlet.  Should fix the
    intermittent FTBFS due to the ruby test suite.
  * rules: fix doc/subversion/README.db4.3.gz symlink (Closes: #357856)

 -- Troy Heber <troyh@debian.org>  Mon, 20 Mar 2006 08:13:33 -0700

subversion (1.3.0-3) unstable; urgency=low

  [ Peter Samuelson ]
  * rules: Symlink /usr/share/doc/libsvn-ruby -> libsvn-ruby1.8
  * swig-1.3.27.patch: Rename to swig-1.3.28.patch, and update it with
    more patches stolen from upstream, to support SWIG 1.3.28.
    - control: Remove Build-Conflicts: swig (>= 1.3.28).  Assume for now
      that 1.3.29 and newer won't cause other problems.

  [ Adam Conrad ]
  * Do the Provides/Replaces/Conflicts dance for python2.4-subversion as
    well, since Ubuntu has shipped that for ages, and this allows for
    smoother upgrades/sidegrades between the two.

 -- Troy Heber <troyh@debian.org>  Sun, 12 Mar 2006 15:32:57 -0700

subversion (1.3.0-2) unstable; urgency=low

  [ Peter Samuelson ]
  * Disable java bindings on m68k for now.  It seems to have problems
    similar to the ones on arm and mips.  (See #344986.)
  * Some suggestions from Ubuntu backporter Blair Zajac (Closes: #347775):
    - Delete pregenerated swig headers which may or may not be compatible
      with Debian's version of swig.
    - Tighten Build-Depends on kaffe to >= 2:1.1.6: he reports that 1.1.5
      fails to build the Java bindings.
    - Build-Depends: junit, pass --with-junit to configure, and run 'make
      check-javahl'.  It fails on current free JVMs, so ignore failure.
    - Tighten subversion-dev dependency on libapr0-dev to >= 2.0.55-3,
      to match the Build-Depends.
    - Pass CLEANUP=true to 'make check' to reduce disk usage.
  * subversion.README.Debian: Rewrite for clarity, and to document the two
    Emacs helpers.  Thanks to Gavin Baker for both the research and the
    writing.
  * rules: 'make swig-rb' so that 'make install-swig-rb' does not have
    to do it for us.  Thanks to Max Bowsher for noticing.
  * Adjust swig patches:
    - swig-1.3.27-hack.patch: remove, obsoleted by upstream changes.
    - ruby-swig-1.3.27.patch: rename to swig-1.3.27.patch and update to
      include trunk r18172, which is likely to go in a future 1.3.x.
  * New package libsvn-doc with doxygen-generated API docs in HTML
    format.  Thanks to Max Bowsher.  (Closes: #269635)
    - Add Suggests: libsvn-doc for libsvn0-dev
  * Rename python2.3-subversion to python-subversion, recommended by
    Python policy.  This will allow for a slightly smoother global python
    transition in the future.
    - Replaces/Conflicts/Provides: python2.3-subversion
    - Use #!/usr/bin/python everywhere, not #!/usr/bin/python2.3
  * Add Provides: libsvn-dev to libsvn0-dev.  The package will be renamed
    in the future, when libsvn0 becomes libsvn1.
  * Loosen dependencies between subversion-tools and the other packages,
    as the one is "Architecture: all" and the others are not.
  * Build-Conflict with swig 1.3.28 and newer, to document reality.  This
    has been addressed by upstream trunk but not yet backported.
  * patches/neon-0.25.5.patch: new patch from upstream, to allow compiling
    with neon 0.25.5.

  [ Troy Heber ]
  * Changing my email address

 -- Troy Heber <troyh@debian.org>  Wed, 22 Feb 2006 08:18:12 -0700

subversion (1.3.0-1) experimental; urgency=low

  [ Peter, Guilherme ]
  * New upstream version. (Closes: #344819)
    - Undeprecates svnserve -R (Closes: #341438)
    - Fixes typo in locks/db-logs.lock (Closes: #339298)
    - README does not mention bdb specifics when using fsfs (Closes: #295860)
    - Seems to not crash on deep directory checkouts with certain kernels.
      (Closes: #348327)
    - Back to a pristine upstream tar, as upstream has removed the
      (non-free) Subversion Book.
    - All patches rediffed / ported.
      - no_extra_libs, svn_load_dirs_symlinks: renamed to no-extra-libs,
        svn_load_dirs-symlinks, for consistency.
      - commit-email-warning, l10n-segfault: Removed (fixed upstream).

  [ Peter Samuelson ]
  * New packages libsvn-ruby1.8 and dummy libsvn-ruby.  (Closes: #335987)
    - patches/ruby-no-strict-aliasing.patch: new patch.
    - patches/ruby-swig-1.3.27.patch: new patch from upstream, to
      build with SWIG 1.3.27.  Upstream says this is still unofficial.
  * Disable java on kfreebsd-i386.  (Closes: #345196)
  * patches/bash_completion.patch: new patch to fix minor wildcard
    breakage with bash completion.  (Closes: #342052)
  * rules: remove x bit from /etc/bash_completion.d/subversion.
    Thanks, lintian.
  * control: downgrade db4.3-util to Suggests.
  * Move README.db4.3 and the corresponding NEWS entry to the libsvn0
    package.  Leave a symlink in /usr/share/doc/subversion/.
    (Closes: #342235)
  * README.db4.3: add notes about preserving file permissions.
    Thanks to Ross Boylan.  (Closes: #345819)
  * patches/svn_load_dirs_symlinks.patch: new patch to handle symlinks in
    the svn_load_dirs contrib script.  Thanks to Tilman Koschnick.
    (Closes: #311440, #319165)
  * rules: cleanups:
    - Use debhelper -s instead of -a, and -i -s instead of -A.
      This would have prevented the need for 1.2.3dfsg1-2.
    - Move some build rules out of the 'install' target.
    - Enable additional tests (make check-swig-py).
    - Drop use of 'time' (and corresponding build-dep in control).
  * control: move from libneon24 to libneon25, as upstream now prefers.
  * patches/no-extra-libs-2.patch: new patch: more spurious-link pruning.

 -- Peter Samuelson <peter@p12n.org>  Fri,  6 Jan 2006 03:28:16 -0600

subversion (1.2.3dfsg1-3) unstable; urgency=low

  [ Peter Samuelson ]
  * rules: Remove the unwritten requirement that /usr/bin/python be
    specifically version 2.3:
    - derive python version from debian/control, not from dpkg -l
    - pass PYTHON=python2.3 explicitly into configure
  * rules: clean rule: Seek and destroy _all_ *.pyc files.  There were
    a few we didn't catch before, buried in the testsuite.
  * Remove various unneeded files from language bindings (Closes: #310777)
    - libsvn-core-perl.install: don't install /usr/lib/*.{a,la,so}
    - python2.3-subversion.install: likewise
    - libsvn-javahl.install: don't install /usr/lib/jni/*.{a,la}
    - rules: delete *.{a,la} from python2.3/site-packages/libsvn
  * control: build-depends on libapr0-dev (>= 2.0.55-3).
    Earlier versions of libapr0 will try to make us link to libdb4.2.
  * subversion.NEWS, README.db4.3: document db4.2 -> db4.3 upgrade.
  * patches/no_extra_libs.patch: new patch to prevent linking to several
    unneeded libraries.  (Closes: #336373, which was caused by linking to
    libssl0.9.8.)
    - debian/control: Remove several depends and build-depends we are no
      longer using because of this
  * patches/commit-email-warning.patch: new patch to eliminate a harmless
    warning in a hook script.  (Closes: #336781)
  * patches/perl-test-clean.patch: new patch to avoid leaving several
    /tmp/svn-perl-test-xxxxxx dirs.
  * patches/swig-1.3.27-hack.patch: new patch to avoid FTBFS from bad
    interaction of swig 1.3.27 and <apr.h>.  A *really* ugly hack.

  [ Adam Conrad ]
  * Switch to using DB4.3 instead of DB4.2, as libapr0 has
      (Closes: #335455, #335438)
    - Bump build-dep and libsvn0-dev dep from libdb4.2-dev to libdb4.3-dev
    - Bump subversion and libapache2-svn deps from db4.2-util to db4.3-util

  [ Troy Heber ]
  * Added note about the requirement for nfs-common when your repository lives
    on a NFS volume. (closes: #316097)
  * Changing the default behavior to not use apr_generate_random_bytes(),
    Debian use the system APR which is configured to use /dev/random. In cases
    where the entropy pool is drained svn commands can block waiting. Removing
    the call to apr_generate_random_bytes and using the fallback apr_time_now
    instead. (closes: #285708, #298822)

 -- Peter Samuelson <peter@p12n.org>  Fri,  2 Dec 2005 16:22:44 -0600

subversion (1.2.3dfsg1-2) unstable; urgency=low

  * Use DH_OPTIONS=-Nlibsvn-javahl in debian/rules, rather than the
    Architecture fields in debian/control, to disable the java package.
    Due to misuse of debhelper, the last attempt didn't work.  And I think
    this way is nicer anyway.  Suggested by Steve Langasek.

 -- Peter Samuelson <peter@p12n.org>  Wed, 19 Oct 2005 04:27:51 -0500

subversion (1.2.3dfsg1-1) unstable; urgency=low

  [ Guilherme de S. Pastore ]
  * debian/control:
    - changed section of libsvn-core-perl to perl
    - changed section of libsvn-javahl to devel
    - bump to Standards-Version 3.6.2.1 with no changes
  * debian/rules:
    - minor cleanups
    - removed remnants of control auto-generation

  [ Peter Samuelson ]
  * Re-repack orig tarball to eliminate the tar-in-tar arrangement
  * debian/rules: adjust to build without the tar-in-tar
    - configure and build in ./BUILD
    - 'clean' removes ./BUILD and files from autogen.sh
    - adjust a lot of installation source paths
    - pass both DEB_SRCDIR and DEB_BUILDDIR into debian/tools/Makefile
  * debian/tools/Makefile: support separate src and build dirs
  * debian/rules: modernise use of debhelper
    - use dh_install instead of dh_movefiles
    - move pathnames out of rules, into *.install, *.dirs, *.docs, *.examples
    - side effect (but correct): move libsvn_swig_* from libsvn0{,-dev}
      to python2.3-subversion and libsvn-core-perl
    - install Java libraries to /usr/lib/jni, not /usr/lib (Closes: #327789)
  * debian/rules, debian/control: disable libsvn-javahl on arm, armeb,
    mips, mipsel, on advice from Jeroen van Wolffelaar.  It seems kaffe
    may remain broken on these architectures for a while.  (Closes: #329184)
  * debian/rules: rip out "architectures to run full testsuite on" logic,
    on advice from Steve Langasek.  It is not safe to assume that
    debian-specific changes to an upstream release will never cause test
    failures.  Local admins can still use DEB_BUILD_OPTIONS=notest to
    speed up a local compile.
  * debian/control: relax all versioned build-deps; all the versions are
    satisfied in sarge (and most of them in woody).
  * debian/rules, debian/subversion-tools.{postinst,postrm,install}:
    - move /usr/lib/subversion to /usr/share/subversion (Closes: #330824)
    - move hot-backup.py to /usr/share/doc/subversion/examples
    - create compat symlink /usr/lib/subversion
  * debian/control: remove pkg-subversion-maintainers from Uploaders - it's
    not the right place to document the existence of a list
  * debian/control, debian/rules: build with kaffe-pthreads specifically
    (works around a FTBFS with kaffe 1.1.6)

 -- Peter Samuelson <peter@p12n.org>  Tue, 18 Oct 2005 03:03:27 -0500

subversion (1.2.3a-1) unstable; urgency=low

  * Welcome the Debian Subversion Team (Closes: #322257)

  [ Guilherme de S. Pastore ]
  * New upstream release (Closes: #320417)
    - tarball repackaged without svnbook, as it's licensed under
      a non-DFSG-free license (Closes: #215083, #218185, #314154)
    - fixes export segmentation fault with versioned items in
      "deleted" state (Closes: #314381, #316133, #316227, #320572, #324037)
  * debian/compat:
    - bump to debhelper compatibility version 4
    - no longer export DH_COMPAT from inside debian/rules
  * debian/control:
    - dropped auto-generation with m4
    - dropped build-dependency on quilt
    - bump to Standards-Version 3.6.2 with no changes
    - removed Conflicts/Replaces on all packages not present in
      stable anymore (Closes: #310519)
  * debian/patches/ltmain.sh.patch:
    - removed; applied upstream
  * debian/patches/kaffe-cast.patch:
    - removed; broken and unnecessary
  * debian/subversion.doc-base.book:
    - removed; the book is no longer present
  * debian/README.Debian:
    - Removed; was doing the work of a package description, and
      mentioned the (removed) svnbook
  * debian/python2.3-subversion.README.Debian:
    - Renamed from pythonX.Y-subversion.README.Debian, we longer
      use that auto-generation stuff
  * debian/rules:
    - tiny fixes to unbreak the build process
    - include simple-patchsys.mk from CDBS instead of using quilt;
      it was too complex for our needs
    - fixed detection of tarballs, as to not get confused by CDBS
      auto-generated lists, which would cause the build to fail
    - no longer do any magic to auto-generate debian/control and
      python related documentation; too complex for too little gain
    - set LANG to C, otherwise the build may fail because of tests
      failing for not being able to recognize strings returned by
      some tools
    - no longer do any magic to support builds on pre-sarge
      environments; the package is already complex enough without
      supporting old cruft unnecessarily
  * Removed packaging documentation, as it was pretty much outdated
  * Removed maintenance scripts from the package; left them
    on the 'tools' section of the repository on svn.debian.org

  [ David Kimdon ]
  * Do not install vc-svn.el (closes: #314213, #315100, #324633)
  * Autoload psvn.el by default. (closes: #223303, #235905, #305953)
  * Remove hard-coded DEB_BUILDDIR from debian/rules.
  * Enable javahl bindings by default (closes: #271125, #323839)

  [ Peter Samuelson ]
  * debian/patches/l10n-segfault.patch:
    - fixes a "svn add" crash in the es, fr, it, pl, pt_BR and zh_TW
      locales (Closes: #316143, #323376, #326079)
  * debian/patches/rpath.patch:
    - port to subversion 1.2.x and reenable (work in progress, suppresses
      most rpaths)
  * debian/lintian-overrides: new file for binary package overrides
  * debian/rules:
    - support DEB_BUILD_OPTIONS=noopt
    - invent a DEB_BUILD_OPTIONS=notest to disable the test suite more
      easily
    - the INSTALL file is redundant, do not install it in /usr/share/doc
    - change #!/usr/bin/env python to #!/usr/bin/python2.3 in assorted
      scripts
    - split and install lintian-overrides to appropriate packages
    - minor cruft removal

 -- Guilherme de S. Pastore <guilherme.pastore@terra.com.br>  Fri,  9 Sep 2005 14:57:03 -0300

subversion (1.2.0-1) unstable; urgency=low

  * New upstream release. (Closes: #310474)
  * Fixes many bugs (some of these may have actually been fixed
    before 1.2.0, in any case they are now fixed) :
    svndumpfilter: no crash on 64-bit platforms (Closes: #309161)
    symlink now works in "svn merge" (Closes: #296046)
    svnserve does ipv6 (Closes: #235755)
    svn no longer can export non-existent files (Closes: #279080)
    svn status "R" is documented in the svn book: (Closes: #269021)
    Fix auth problem (Closes: #269165)
    svn diff handles ctrl-c (Closes: #266973)
  * Build-conflict with libsvn0 (<<1.2). This is a work-around to
    Debian bug 291641.
  * The subversion book source has moved out of this package, install a
    pre-built book.

 -- David Kimdon <dwhedon@debian.org>  Wed,  8 Jun 2005 22:19:21 -0700

subversion (1.1.4-2) unstable; urgency=high

  * Put call to dh_installdeb after call to dh_python.  Fixes purge
    of python2.3-subversion (closes: #308777)
  * Disable full testsuite.  All archs have already past it.  No need to
    burden the autobuilders with all the tests.
  * Set DEB_BUILDDIR correctly since something is apparently setting it
    incorrectly.

 -- David Kimdon <dwhedon@debian.org>  Thu, 12 May 2005 21:04:56 -0700

subversion (1.1.4-1) unstable; urgency=low

  * New upstream release. (Closes: #303179)
  * Set LC_ALL for testsuite so build runs in a known environent.
    (closes: #301495)
  * Omit unnecessary svn.vim (now included in the standard vim distribution)
    (closes: #298901)
  * Try again to get -O2 in CFLAGS. (closes: #303744)

 -- David Kimdon <dwhedon@debian.org>  Sun, 27 Mar 2005 20:43:17 -0800

subversion (1.1.3-3) unstable; urgency=low

  * Add -O2 to CFLAGS.
  * Fix trac's revision log (closes: #299817)
    patche thanks to Torsten Landschoff <torsten@debian.org>

 -- David Kimdon <dwhedon@debian.org>  Fri, 25 Feb 2005 20:25:02 -0800

subversion (1.1.3-2) unstable; urgency=low

  * Patches thanks to Torsten Landschoff <torsten@debian.org>
   - Let cdbs handle updating config.{sub|guess}.
   - Support swig 1.3.24.  (closes: #295452)
  * Remove old upgrade notes from README.Debian.
  * Fix doc url (closes: #293310)

 -- David Kimdon <dwhedon@debian.org>  Sun, 20 Feb 2005 11:31:34 -0800

subversion (1.1.3-1) unstable; urgency=low

  * New upstream release.  (closes: #290610, #288344, #290381)
    - remove r12102.patch as it is integrated in this upstream release.
  * Make libsvn0 conflict with libsvn-core-perl (= 1.0.9) (closes: #290807)
  * Allow the build to use a 1.3.22 swig version since the Debian
    version is patched to include the necessary runtime libraries.
  * Don't start description synopses with a capital letter, make homepage
    consistent explicit in package description (as suggested by the
    Developer's Reference).
  * Be more explicit about what the default apache module configuration
    allows.  Default to a read-only repository for non-anonymous
    users. (closes: #277303)
  * The book isn't being built properly, stop building it and use the
    version that is shipped with the tarball (closes: #282393).

 -- David Kimdon <dwhedon@debian.org>  Sat, 15 Jan 2005 14:12:54 -0800

subversion (1.1.1-2) unstable; urgency=low

  * Fix minor incompatability between 1.0 and 1.1 libraries.
    (closes: #275545)
  * Remove conditionals and variables that allow debian/rules to
    support building subversion 1.0.
  * Re-enable debian/patches/rpath.patch.  This get rpath out of
    some of the binaries.
  * Minor build system fixes.
  * python2.3-subversion now Conflict/Replace's python2.1-subversion
    (closes: #281047)
  * Mention DAV in description of libapache2-svn package.
    (closes: #277301)
  * Uncomment section markers in default configuration files.  It is easy
    to uncomment the option, but not the section marker and then wonder
    why the change has not taken effect. (closes: #278162)
  * Fix path to subversion book. (closes: #285240)

 -- David Kimdon <dwhedon@debian.org>  Sun,  5 Dec 2004 10:26:12 -0800

subversion (1.1.1-1) experimental; urgency=low

  * New upstream release.  (closes: #272000)
  * Fix hard-coded swig version in debian/rules (closes: #276838)
  * Mention 'dav' in the description of libapache2-svn so the package
    is easier to find. (closes: #277302)
  * Create libsvn-core-perl dependency on libsvn0 via the shlibs file
    so the version is taken into account. (closes: #279439)

 -- David Kimdon <dwhedon@debian.org>  Sat, 30 Oct 2004 07:59:52 -0700

subversion (1.1.0-1) experimental; urgency=low

  * New upstream release.
  * Make debian/control.in a double-colon rule.  This allows us to
    build with old and new versions of cdbs.  We are not using
    cdbs's debian/control rule.
  * Increase debhelper build dependency to 4.1.25 since we use
    dh_python.
  * Increase version number to prevent this package from being
    removed from experimental.  (1.0.8-1 has been uploaded to
    unstable.)
  * Disable testsuite on powerpc since I just ran it.
  * Build depend on swig >= 1.3.22-2 so we get a runtime library
    and the build doesn't fail.

 -- David Kimdon <dwhedon@debian.org>  Sat, 25 Sep 2004 10:11:12 -0700

subversion (1.0.6+1.1.0rc4-1) experimental; urgency=high

  * New upstream release.
  * CAN-2004-0749: mod_authz_svn fails to protect metadata

 -- David Kimdon <dwhedon@debian.org>  Fri, 24 Sep 2004 20:38:15 -0700

subversion (1.0.6+1.1.0rc2-1) experimental; urgency=low

  * New upstream release.
  * Build system changes so we can easily support subversion 1.1.x.
  * Minor build changes to support 1.1.x.

 -- David Kimdon <dwhedon@debian.org>  Wed,  8 Sep 2004 22:36:04 -0700

subversion (1.0.6-2) unstable; urgency=high

  * This package is source equivalent to 1.0.6-1.
  * Remove debian/patches/apr_dir_make.patch as this is now fixed
    in the apache2 version we depend on.
  * Build depend on apache2 >= 2.0.50-11 so we get all fixes.
  * Put version number to something that katie will not interpret as
    a binary NMU.

 -- David Kimdon <dwhedon@debian.org>  Wed,  1 Sep 2004 22:03:43 -0700

subversion (1.0.6-1.2.1) unstable; urgency=high

  * Binary non-maintainer upload by temporary maintainer.

 -- Matt Kraai <kraai@debian.org>  Thu, 26 Aug 2004 15:06:09 -0700

subversion (1.0.6-1.2) unstable; urgency=high

  * Non-maintainer upload with maintainer approval.
  * Reverting the apache2/apr LFS transition by bumping our build-dep
    to (>= 2.0.50-10), as the apache2 maintenance team has decided that
    the ABI transition, while desireable, just wasn't manageable this
    close to a release.
  * Re-enable the testsuite on all arches to make sure all this ABI
    buggery hasn't, well, buggered anything.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 20 Aug 2004 10:34:24 -0600

subversion (1.0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload by temporary maintainer.
  * Work around the apr_dir_make bug in Apache 2.0.50 (closes: #256909).
  * Update apache build-dep to >= 2.0.50-9 (closes: #266170, #266193).

 -- Matt Kraai <kraai@debian.org>  Tue, 17 Aug 2004 04:31:49 -0700

subversion (1.0.6-1) unstable; urgency=high

  * New upstream release.
    - fix mod_authz_svn COPY security hole (closes: #261938)
  * Depend on exim4 rather than exim. (closes: #255363)
  * Link libsvn_swig_perl-1.so with all the libraries it depends on.
    (closes: #262025)
  * Update neon build-dep to >= 0.24.7.
  * Update apache build-dep to >= 2.0.50.
  * Refresh debian/patches/repos-templates.patch.
  * Add build-dep on libkrb5-dev.
  * Fix permissions on libsvn-core-perl shared libraries.
  * Only remove modules from apache's configuration when we are
    removing libapache2-svn, not on upgrades. (closes: #251245)
    Additionally, move the module config manipulation from the postrm
    to the prerm.  This way there is no time when apache is configured
    to load a module that is not present on the system.

 -- David Kimdon <dwhedon@debian.org>  Sun, 20 Jun 2004 15:34:57 +0200

subversion (1.0.5-1) unstable; urgency=low

  * New upstream release.
    - Fix CAN-2004-0413: Subversion svn:// protocol string parsing error.
      (closes: #253694)
  * Update build-depends to neon 0.24.6.
  * Fix broken /etc/emacs/site-start.d/vc-svn.el (closes: #250058)

 -- David Kimdon <dwhedon@debian.org>  Mon, 24 May 2004 14:45:09 +0200

subversion (1.0.3-1) unstable; urgency=high

  * New upstream release.
    - fix CAN-2004-0397 :  Subversion remote vulnerability
      (closes: #249791)

 -- David Kimdon <dwhedon@debian.org>  Wed, 19 May 2004 20:31:15 +0200

subversion (1.0.2-5) unstable; urgency=low

  * Fix apache modules link in a cleaner way.  Previously I had some
    hard-coded link lines in debian rules.  The present change modfies the
    subversion build system itself to hopefully do the right thing in all
    cases.  This change is less invasive and should allow all archs to
    build.  (closes: #246903)

 -- David Kimdon <dwhedon@debian.org>  Sun,  2 May 2004 11:09:20 +0200

subversion (1.0.2-4) unstable; urgency=low

  * Remove 'sudo' line that I didn't mean to commit and got included
    in 1.0.2-3.  Thanks to Norbert Tretkowski for noticing.

 -- David Kimdon <dwhedon@debian.org>  Sat,  1 May 2004 14:07:28 +0200

subversion (1.0.2-3) unstable; urgency=low

  * Fix apache modules link. (closes: #246258)

 -- David Kimdon <dwhedon@debian.org>  Sat,  1 May 2004 09:26:23 +0200

subversion (1.0.2-2) unstable; urgency=low

  * Fix python interpreter in svnshell. (closes: #245473)
  * Include manpage for svn_load_dirs.  Thanks to Per Olofsson.
    (closes: #245630)
  * Remove rpath from shared libraries.
  * Archs not marked to run the testsuite will now still run basic_tests.py
  * Disable full testsuite on archs that have passed it for 1.0.2-1.

 -- David Kimdon <dwhedon@debian.org>  Fri, 23 Apr 2004 20:53:43 +0200

subversion (1.0.2-1) unstable; urgency=low

  * New upstream release.
    * fix assertion failure in vwrite_tuple() (closes: #241076)
  * Remove shlibs.local (closes: #244466)
  * Put back in svnshell, patch the error messages so they are not
    confusing (closes: #234462).
  * Point to /usr/bin/svnshell as an example to help get started using
    the pythong bindings. (closes: #239924)
  * subversion now suggests subversion-tools.  This may make it easier
    to find the tools contained in subversion-tools. (closes: #243917)

 -- David Kimdon <dwhedon@debian.org>  Sun, 18 Apr 2004 16:09:55 +0200

subversion (1.0.1-3) unstable; urgency=low

  * Fix python2.3-subversion and subversion-tools priority so they are
    the same as the priorities in the override file.
  * Fix libtool problem by no longer doing the LIBTOOL_IS_A_FOOL
    hack. (closes: #242460)
  * Fix hard-coded link in debian/rules to link with ptoper swig.

 -- David Kimdon <dwhedon@debian.org>  Sat,  3 Apr 2004 11:13:29 +0200

subversion (1.0.1-2) unstable; urgency=low

  * Apply changes up to the current head of the 1.0.x branch.
    This line is making its way to become 1.0.2.  The diff was
    obtained like this:
    svn diff http://svn.collab.net/repos/svn/tags/1.0.1 \
             http://svn.collab.net/repos/svn/branches/1.0.x@9275
    - Fix recursive propset (closes: #238558)
  * Increase swig build dependancy to 1.3.21-2 so we get a working
    dependancy. (closes: #237230)

 -- David Kimdon <dwhedon@debian.org>  Fri,  2 Apr 2004 20:19:46 +0200

subversion (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Change libsvn0-dev and subversion-tools priority to extra so that
    there is no longer a disparity between the override file and the
    control file.
  * cvs2svn is no longer part of this package, request for package filed,
    see http://bugs.debian.org/237934 .
  * libswig1.3 provides an incorrect shlibs file, add proper dependancies
    to debian/shlibs.local (closes: #220107)

 -- David Kimdon <dwhedon@debian.org>  Thu, 11 Mar 2004 12:21:33 +0100

subversion (1.0.0-2) unstable; urgency=low

  * Apply changes up to the current head of the 1.0.x branch.
    This line is making its way to become 1.0.1 which is expected
    to be released soon.  The diff was obtained like this:
     svn diff http://svn.collab.net/repos/svn/tags/1.0.0 \
              http://svn.collab.net/repos/svn/branches/1.0.x@8939
    - Fix directory walk ordering on filesystems that don't return
    '.' first.  (closes: #231364)
    - Many other fixes.
  * Fix description of the subversion book (it is a version control,
    not a revision control system)
  * Remove local copy of patchsys-quilt.mk and add version to quilt build-dep.
  * Don't strip binaries if 'nostrip' is in DEB_BUILD_OPTIONS.
  * Patch from Erno Kuusela to 50vc-svn.el so subversion vc backend doesn't
    supersede an existing default.
  * Don't ship .pyc files in pythonX.Y-subversion.  These files should instead
    be generated in the postinst. (closes: #236170)
  * Detect if debian/control is invalid.  If invalid then recreate it and
    exit failure telling the user to try again.  (closes: #204253)
  * Add debian/shlibs.local which needs to stay around until #231659
    is fixed (closes: #234932).
  * Fix broken stamp files that were among other things making the build
    execute the configure and autogen rules unnecessarily.
  * Update to policy 3.6.1 (no changes).

 -- David Kimdon <dwhedon@debian.org>  Mon, 23 Feb 2004 22:32:22 +0100

subversion (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - INSTALL no longer says Subversion is alpha. (closes: #232945)
    - Remove cvs2svn manpage.
  * Fix formatting of NEWS.Debian. (closes: #232940)
  * Put version in shlibs file.  In the last upload I removed all version
    info from the shlibs file rather than converting = to >=.
  * Enable testsuite on many archs.
  * Build with srcdir == builddir.  This fixes some problems in the
    perl bindings and generally makes the build system cleaner.
  * Remove svnadmin-static.  With the build system changes it wasn't
    easy to keep it and we won't need it for a while if ever.

 -- David Kimdon <dwhedon@debian.org>  Sat, 21 Feb 2004 08:49:04 +0100

subversion (0.37.0-3) unstable; urgency=low

  * When saying you need to dump/reload your repository it is helpful
    to provide the path to the manual which describes how to do so.
    (closes: #231176)
  * Include README and HACKING. (closes: #218052)
  * Mention to abbreviation 'svn' in short package descriptions.
    (closes: #231698)
  * shlibs file now creates a >= dependancy rather than a strict =.
    (closes: #231681)
  * Don't include svnshell.  It is just an example of how to use the
    bindings and isn't for general consumption. (closes: #230534)
  * New package libsvn-core-perl. (closes: #208935)
  * Fix doc build by giving the new path to the docbook stylesheets.
    (closes: #231981)
  * Start using 'quilt' and part of 'cdbs' to maintain separate pataches
    within the source package.
  * Fix default repos templates. (closes: #210901)
  * Update swig build-dep to >= 1.3.21.  This isn't actually required
    by Subversion but I have some current Subversion bug reports that
    indicate mixing 1.3.19 builds with 1.3.21 systems may cause problems.
  * Pass fulll path the swig to configure so as to ensure we use the swig
    from the Debian package.
  * Don't pass broken CFLAGS to swig wrapper build (closes: #232591)

 -- David Kimdon <dwhedon@debian.org>  Sat,  7 Feb 2004 00:00:41 +0100

subversion (0.37.0-2) unstable; urgency=low

  * Remove more references to Subversion being alpha (closes: #230744)
  * Fix up debian/build.sh so the source package has all necessary files.
    (closes: #230948)
  * It looks like all archs have built the new swig now, so try this build
    again (closes: #230955)
  * NEWS.Debian and README.Debian made references to subversion
    0.35.1-1 which was never uploaded.  Fix those references so they point
    to 0.37.0-1.

 -- David Kimdon <dwhedon@debian.org>  Mon,  2 Feb 2004 19:56:12 +0100

subversion (0.37.0-1) unstable; urgency=low

  ** NOTE: Repository dump/reload required.  See NEWS.Debian **

  * New upstream release.
    - Subversion is getting close to the 1.0 release (closes: #193062)
    - svnserve ssh now accepts user@host (closes: #202885)
  * Rebuild against new libapr. (closes: #230311)
  * doc build has changed since the last release, update so it still builds.
  * Add build-conflicts against broken libtool 1.5-6.
  * Don't build book since the source distribution already provides
    us with a built book.
  * Build with Berkeley DB 4.2.
  * Increase required apache2 version to 2.0.48-7 so we build with the
    same version of Berkeley DB.
  * No longer install binaries that include debug symbols.
  * Autogenerated cruft is no longer part of the source package's diff.
  * Update debian/copyright notice for 2004.
  * The default /etc/subversion/config and /etc/subversion/servers are now
    generated as part of the build.
  * Link libsvn_swig_py properly. (closes: #220107)
  * Remove note from debian/control saying that this is an alpha release.

 -- David Kimdon <dwhedon@debian.org>  Tue, 18 Nov 2003 21:39:50 +0100

subversion (0.33.0-1) unstable; urgency=low

  * New upstream release. (closes: #220672)
    - fix internal diff library (closes: #218406, #220474)
    - cvs2svn fixed (closes: #216868)
  * Change build dependancy from apache2-devb to apache2-threaded-dev.
  * Remove hack to get around broken apr-config now that bug #197685 is
    fixed.
  * Build depend on docbook-xsl rather than docbook-xsl-stylesheets.
    (closes: #220788)
  * Now that neon 0.24.4 is available increase build dependancy to require
    it.  Subversion itself doesn't require the new version but there are
    enough bug fixes in that version of neon that it is better to use it.
  * Enable mod_dav_fs in libapache2-svn.postinst (closes: #219620)
  * Fix propchange-email.pl and commit-access-control.pl interpreter
    (closes: #220692)
  * Corrent python invocation in svnperms.py.
  * Update /etc/subversion/{config,servers}
  * Update debian/copyright. Re-sync with current upstream license (remove
    reference to expat-lite, add reference to apr-util).  Fix download
    URL to point only to http://subversion.tigris.org rather than trying
    to show the exact URL since that can change.

 -- David Kimdon <dwhedon@debian.org>  Sat, 15 Nov 2003 22:29:33 +0100

subversion (0.32.1-1) unstable; urgency=low

  * New upstream release.
    New manpages. (closes: #206646)
  * The source package shouldn't be in Debian native format. (closes: #216514)
  * Update default /etc/apache2/mods-available/dav_svn.conf with some better
    comments and bring it up to date with current required syntax.
  * Move last dump/reload notes from NEWS.Debian into README.Debian since it
    isn't news anymore.

 -- David Kimdon <dwhedon@debian.org>  Sun, 19 Oct 2003 19:22:52 +0200

subversion (0.31.0-1) unstable; urgency=low

  * New upstream release.
  * Remove Matt Kraai from Uploaders field. Thanks for all the help
    Matt!
  * Wrote debian/tools/svn-make-config.c which is a tool that helps to
    create default config files.  Maybe this can be included upstream
    somehow.  Update /etc/subversion/{config,servers}
  * Include svnadmin-static manpage.

 -- David Kimdon <dwhedon@debian.org>  Tue,  7 Oct 2003 07:03:12 +0200

subversion (0.30.0-2) unstable; urgency=low

  * Adjust dynamic linker search path and location of svnversion
    binary so the book build doesn't generate a spurious error message.
    As a bonus the version number in the built doc should be correct
    now instead of saying 'Draft'.
  * Set XSL_DIR when building the docs so we can find things like
    docbook.xsl. It appears as though this succeeded when I built
    0.30.0-1 because make didn't need to recreate the documentation
    completely.  On the autobuilders this was not the case.
    (closes: #213116)

 -- David Kimdon <dwhedon@debian.org>  Sun, 28 Sep 2003 21:24:55 +0200

subversion (0.30.0-1) unstable; urgency=low

  * New upstream release.
  * Update /etc/subversion/{config,servers}

 -- David Kimdon <dwhedon@debian.org>  Wed, 24 Sep 2003 22:15:17 +0200

subversion (0.29.0-2) unstable; urgency=low

  * Force neon build dependancy and libsvn0-dev dependancy to libneon24.
    In reality neon 0.23.9 or greater will work, but since we need to
    hard-code the version in the libsvn0-dev dependnacy it is simpler to just
    force libneon24. (closes: #206031)
  * Disable testsuite on archs where it has passed.
  * Remove unneeded, crufty shlibs.local.
  * Make debian/control read-only to discourage edits to it rather than
    debian/control.in. (closes: #211091)
  * Drop debhelper build dependancy back to >=3 so it is easier to
    build the package on old systems.
  * Actually install NEWS.Debian rather than having it sit in the
    source package where no one can see it. (closes: #210684, #210822)
  * Update /etc/subversion/config and /etc/subversion/servers
  * Make package descriptions more clear and detailed. (closes: #210065)
  * Fix commit-email.pl (closes: #211577)
  * Remove extra hyphen in subversion.preinst rm's and make a note
    about why we are doing the rm.

 -- David Kimdon <dwhedon@debian.org>  Sun, 14 Sep 2003 09:04:35 +0000

subversion (0.29.0-1) unstable; urgency=low

  * New upstream release:
    - Work with neon 0.24 (closes: #206031).
    - Handle tool rearrangment, thanks to Kevin M. Rosenberg (closes:
      #208813).
  * Require debhelper 4.1.51 or later to install NEWS.Debian.

 -- Matt Kraai <kraai@debian.org>  Fri, 05 Sep 2003 16:14:51 -0700

subversion (0.27.0-1) unstable; urgency=low

  * Merge multi-line depends and build-depends fields (closes: #203413).
  * Fix verb conjugations in libapache2-svn's description (closes:
    #203417).
  * Change Apache location from /svn/repos to /svn (closes: #203301).
  * Change the default repository location to /var/lib/svn.
  * Force dependencies on libsvn0 to require the same version that was
    used to build (closes: #203454).
  * Move svnindex.css and svnindex.xsl to /var/www/apache2-default in
    libapache2-svn (closes: #203749).
  * Include "svn" in the description of subversion (closes: #204179).
  * Regenerate control (closes: #205311).

 -- Matt Kraai <kraai@debian.org>  Thu, 14 Aug 2003 16:22:04 -0700

subversion (0.26.0-1) unstable; urgency=low

  * Add self to Uploaders.
  * New upstream release:
    - Handle absolute paths in svn_load_dirs.pl (closes: #187331).
    - Call Cmd.__init__ in svnshell.py (closes: #198140).
    - Handle paths containing quotes in cvs2svn (closes: #201290).
  * Build-depend on apache2-dev (>= 2.0.47), libapr0-dev (>= 2.0.47), and
    libneon23-dev (>= 0.23.9).
  * Include fixes from 0.25-0.1 (closes: #198304, #199015, #199710,
    #200657, #201009).
  * Add perl (>= 5.8.0-7) to subversion-tools's dependencies (closes:
    #191138).
  * Add liburi-perl (>= 1.17-1) to subversion-tools's dependencies
    (closes: #198143).
  * Rename libapache2-dav-svn to libapache2-svn and include mod_authz_svn
    (closes: #198182).

 -- Matt Kraai <kraai@debian.org>  Thu, 24 Jul 2003 05:55:37 -0700

subversion (0.25-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * Add missing files to python2.2-subversion (closes: #199015).
  * Make subversion-tools replace subversion (<< 0.22.1-1)
    (closes: #198304).

 -- Matt Kraai <kraai@debian.org>  Sat, 12 Jul 2003 15:29:45 +0200

subversion (0.24.2-1) unstable; urgency=low

  * New upstream release
  * Fix quoting error in debian/rules that was breaking the swig build.
  * Add shlibs.local to work around problems like bug 197989.

 -- David Kimdon <dwhedon@debian.org>  Wed, 18 Jun 2003 18:06:55 -0700

subversion (0.24.1-1) unstable; urgency=low

  * New upstream release :
    - no long includes svn-deisgn info document (closes: #196412)
  * strip svnadmin-static.  It is very large and not needed for
    debugging since the shared version of svnadmin can be used as long
    as the package is installed.
  * Follow apache2 change to module build helper (apxs -> apxs2).
    (closes: #196577)
  * Update apache2 and apr build dependancy.
  * Build fixes thanks to Michael Cardenas <mbc@debian.org>
  * Update build dependancy libsasl-dev -> libsasl2-dev.
  * svn-design.info is no longer built, remove texinfo build-dep.
  * Update apache2 example configuration based on input from
    solo turn <soloturn99@yahoo.com> (closes: #197089)
  * Don't attempt to load vc-svn when package has been removed and
    only conffiles remain, patch thanks to Kalle Olavi Niemitalo <kon@iki.fi>
    (closes: #193427)
  * work around problem with apr-config (see bug #197685).

 -- David Kimdon <dwhedon@debian.org>  Sun,  1 Jun 2003 20:45:05 -0700

subversion (0.23.0-2) unstable; urgency=low

  * Abort build on testsuite failure.
  * Create a proper source package. (closes: #194517)
  * Fix export over ra_svn. Thanks to Branden Robinson for the fix and
    offering to NMU. (closes: #193060)
  * Update comment-out vc-svn autoload commands to avoid problems with
    xemacs. Thanks to Kalle Olavi Niemitalo <kon@iki.fi> for the
    problem analysis and patch. (closes: #191632)
  * Disable testsuite on archs that passed 0.23.0-1.

 -- David Kimdon <dwhedon@debian.org>  Thu, 22 May 2003 09:52:35 -0700

subversion (0.23.0-1) unstable; urgency=low

  * New upstream release.
  * Add build-dep on xsltproc, docbook-xsl-stylesheets, create
    html version of book during build.
  * Update to standards version 3.5.10 (no changes).

 -- David Kimdon <dwhedon@debian.org>  Mon, 19 May 2003 18:34:24 -0700

subversion (0.22.2-1) unstable; urgency=low

  * New upstream release.
  * Don't strip objects. This is a deliberate policy violation.  The
    goal is to lower the barrier to anyone wishing to debug this
    software.  See the notes in Bug#193062 for more info.
  * Let debhelper create conffiles.
  * Include perl dependancy information in subversion-tools package
    (closes: #191138, #187324).
  * Disable testsuite on archs that passed 0.22.1-1.

 -- David Kimdon <dwhedon@debian.org>  Tue, 13 May 2003 18:20:44 -0700

subversion (0.22.1-1) unstable; urgency=low

  * New upstream release.
  * Tone down the warning in the package description about data loss, simply
    indicate that this software is still in development.
  * Apply 0.21.0 changes to debian/control.in that were erronously applied
    only to debian/control. (closes: #190353)
  * Include HACKING in /usr/share/doc/subversion/. (closes: #191450)
  * Don't automatically load emacs lisp files. The bindings can still be
    enabled by the system administrator uncommenting the lines in
    /etc/emacs/site-start.d. (closes: #190804)
  * Update build dependancy to require more recent apache2-dev and
    libapr0-dev (closes: #192595)
  * Speed up ./debian/rules by limiting the number of times we exec dpkg.
  * Add versioned build-dep on debhelper.
  * Move the python script /usr/bin/svnshell from the 'subversion'
    package into the 'subversion-tools' package. ('subversion-tools'
    already had a python dependancy)

 -- David Kimdon <dwhedon@debian.org>  Thu,  8 May 2003 08:16:13 -0700

subversion (0.21.0-1) unstable; urgency=low

  * New upstream release.
  * Include svnshell. (closes: #187446)
  * Include svnindex.css and svnindex.xsl. (closes: #185465)
  * Make subversion priority optional. (closes: #188141)
  * Update to policy 3.5.9 (no changes).
  * Fix svn-dev.vim (closes: #187937).
  * Fix emacs svn-status-mode (closes: #188706).
  * Remove subversion-server package (closes: #182653).  As indicated
    in the bug report the subversion-server package was only necessary if
    one wanted to use subversion with apache.  I don't see a compelling
    need for the subversion-server package, all it did is depend on
    subversion, subversion-tools and libapache2-dav-svn.

 -- David Kimdon <dwhedon@debian.org>  Wed, 16 Apr 2003 00:37:05 -0700

subversion (0.20.1-2) unstable; urgency=low

  * Fix svnversion breakage, again, sigh.  This time with a fix that
    is easier to maintain (no longer need to patch upstream source).
    (closes: #186966)
  * Fix improperly generated source package (was in Debian native format).
  * Update package sections for libsvn0-dev and python2.2-subversion
    based on new archive sections.
  * Update debian/copyright (fix spelling of 'acknowledgment' and
    extend copyright to 2003).
  * Remove NEWS.Debian (was news from 0.17)
  * Update /etc/subversion/[config,servers]

 -- David Kimdon <dwhedon@debian.org>  Mon, 31 Mar 2003 07:34:01 -0800

subversion (0.20.1-1) unstable; urgency=low

  * New upstream release.

 -- David Kimdon <dwhedon@debian.org>  Sun, 30 Mar 2003 18:14:01 -0800

subversion (0.20-1) unstable; urgency=low

  * New upstream release.

 -- David Kimdon <dwhedon@debian.org>  Thu, 20 Mar 2003 21:43:10 -0800

subversion (0.19.1-2) unstable; urgency=low

  * Fix psvn.el autoload. (closes: #185130)
  * Fix autobuild failure. (closes: #185088)
  * Minor update to /etc/subversion/servers.

 -- David Kimdon <dwhedon@debian.org>  Mon, 17 Mar 2003 07:00:17 -0800

subversion (0.19.1-1) unstable; urgency=low

  * New upstream release.
  * Install psvn.el and vc-svn.el so they are autoloaded by emacs,
    thanks to Martin Pool <mbp@sourcefrog.net> for a patch. (closes: #184032)
  * Retiring svn-[buildpackage|inject] until I update them.

 -- David Kimdon <dwhedon@debian.org>  Sun,  9 Mar 2003 18:45:57 -0800

subversion (0.18.1-1) unstable; urgency=low

  * New upstream minor release.
  * add python fixups from woody backport
  * disable testsuite for archs that have passed it
  * fixup db tool path in hotbackup.py, again (closes: #182777)

 -- David Kimdon <dwhedon@debian.org>  Sun, 23 Feb 2003 13:22:45 -0800

subversion (0.18.0-1) unstable; urgency=low

  * New upstream release. (closes: #180910)
    - Use new --with-editor configure switch to set default editor to
      /usr/bin/editor (closes: #162632, #164371)
    - New cvs2svn manpage thanks to Robert Bihlmeyer <robbe@orcus.priv.at>
      (closes: #176576)
  * Fixups for woody backport
    - libtool patch is back.  It is only applied for the versions of libtool
      that need it (such as the libtool in woody).
    - make the testsuite run on woody.
  * Add build-dep on libsasl-dev.
  * Make subversion-tools depend on an explicit version of subversion and
    python2.2-subversion (closes: #180621)

 -- David Kimdon <dwhedon@debian.org>  Sun,  9 Feb 2003 22:16:27 -0800

subversion (0.17.1-2) unstable; urgency=low

  * The Berkeley DB update as of 0.17.1-1 requires you to run
    'svnadmin recover /path/to/repos', see README.Debian for
    more information.

  * Include prominent note in changelog, README.Debian and
    NEWS.Debian indicating steps required for Berkeley DB upgrade.
    (closes: #178819)
  * Don't include CHANGES twice. (closes: #178694)
  * libapache2-dav-svn depends on a specific version of apache2
    (closes: #178833)
  * Build-Dep on apache2 packages tightened to >> 2.0.44-6 since -5
    didn't have a non-interative install, this made subversion fail on
    some autobuliders.
  * Disable testsuite on the archetectures that passed 0.17.1-1.
  * Remove version information for libapache2-dav-svn dependancy on
    apache2 since apache2 is a virtual package.

 -- David Kimdon <dwhedon@debian.org>  Mon, 27 Jan 2003 17:02:31 -0800

subversion (0.17.1-1) unstable; urgency=low

  * New upstream release.
  * Build against berkeley db 4.1.24.
  * Apply some changes from revs 4521:4523 so cvs2svn works.
  * Include CHANGES in /usr/share/doc/subversion/.  This is the upstream
    summary of changes for each release.
  * Compile against current libapr (closes: #177836).
  * Fix path in svn_load_dirs (closes: #176610).
  * Increase verbosity on testsuite so autobuilders don't kill the testsuite
    due to inactivity.
  * Don't create arch independant packages in the binary-arch target
    (closes: #174381)
  * Make testsuite run on sparc and alpha.  It wasn't previously being run
    due to a bug in the shell snippet that determines whether or not we want
    it to run.
  * Change libapache2-dav-svn dependancy from apache2-common to apache2,
    we need one of the mpm's to have a working server (closes: #175902)
  * Work-around for duplicate conffile entries created by debhelper.

 -- David Kimdon <dwhedon@debian.org>  Sun, 15 Dec 2002 11:08:02 -0800

subversion (0.16.0-1) unstable; urgency=low

  * New upstream release.
  * update /etc/subversion/config to include webdav compression option
  * add back subversion.conffiles, it is needed for older versions of
    debhelper.
  * /etc/subversion/proxies renamed to /etc/subversion/servers (actually this
    happenned with 0.15.0 or so but I forgot to note it here)
  * upgrade to policy 3.5.8
  * include the contents of tools/hook-scripts/ in subversion-tools package
    (closes: #171997)
  * patches from Brandon Ehle <behle@pipedreaminteractive.com> to fix swig
    build
  * cat tests.log on testsuite failure.
  * fix the pathnames on some scripts from tools/ on install.
  * compile with -Wall
  * subversion-tools now depends on exim | mail-transport-agent
  * sed cvs2svn at install so we find rcsparse.py (closes: #172284)

 -- David Kimdon <dwhedon@debian.org>  Thu,  5 Dec 2002 07:52:24 -0800

subversion (0.15.0-2) unstable; urgency=low

  * Fix broken conffile (closes: #171323)
  * Don't run testsuite on archs that succeeded with 0.15.0-1.
  * remove subversion.conffiles until Bug#126520 is closed.

 -- David Kimdon <dwhedon@debian.org>  Sun,  1 Dec 2002 08:28:35 -0800

subversion (0.15.0-1) unstable; urgency=low

  * New upstream release.
  * Add dependancy on libdb4.0-util for subversion and libapache2-dav-svn
    packages.  In case a repository gets wedged we want db4.0_recover
    available. Fix paths in hot-backup.py (closes: #169797, #169796)
  * Doc install cleanup thanks to Jon Middleton <jjm@ixtab.org.uk>
  * aprutl version checking hack, thanks to Jon Middleton <jjm@ixtab.org.uk>
  * Include a statically linked svnadmin that we can copy to svnadmin-$(VERSION)
    on upgrade if the repository format changes.  This facilitates a
    repository dump/reload.

 -- David Kimdon <dwhedon@debian.org>  Fri, 29 Nov 2002 10:19:14 -0800

subversion (0.14.5-1) unstable; urgency=low

  * add hot-backup.py (closes: #164870)
  * Make swig1.3 build-dep a versioned build-dep (closes: #166301)
  * The suggested location of the passwd file for libapache2-dav-svn has
    moved from /etc/svn to /etc/subversion since the command line tools
    store configuration info in that directory.
  * add subversion-tools package.
  * Add subversion-server package.  This package depends on other packages
    that you probably want to have if you are setting up a Subversion server.
  * Don't ship svn-design.info anymore.  All the info we need can be
    found in the Subversion book.
  * Subversion handbook is now a xml book, "Subversion : The Definitive Guide"
    include the html version of this book.
  * Build fixes and updates thanks to Jon Middleton <jjm@debian.org>
  * Warn users upgrading from versions prior to 0.14.3 that they need to
    do a dump/reload (closes: #163092).  At some point I'd like to find a
    good way of better automating the conversion.
  * a few lintian fixes.

 -- David Kimdon <dwhedon@debian.org>  Wed, 23 Oct 2002 08:01:54 -0700

subversion (0.14.3-3) unstable; urgency=low

  * Put autogen back as a prerequisite for the clean target.  I
    erroneously removed the autogen.sh run in the last upload, this left
    us with a broken libtool.  (closes: #164781)

 -- David Kimdon <dwhedon@debian.org>  Sat, 19 Oct 2002 09:10:03 -0700

subversion (0.14.3-2) unstable; urgency=low

  * Disable testsuite on archs that have already built 0.14.3-1
  * new package python2.2-subversion (based on package created by
    the subversion-snapshot source).  These python bindings are used
    by various scripts that we want to include eventually.
  * libtool bug 98342 is fixed.  We don't need to patch ltmain.sh anymore
    (closes: #163858)
  * build against new libapr0 which has a versioned shlibs file
    (closes: #162814)

 -- David Kimdon <dwhedon@debian.org>  Wed, 25 Sep 2002 22:57:41 -0700

subversion (0.14.3-1) unstable; urgency=low

  * New upstream release (closes: #158677)
     - build against new libneon (closes: #160270)
     - updated manpage (closes: #158834)
  * make symlinks in /etc/apache2/ relative rather than absolute
    (closes: #161268)
  * Change priotiry (optional->extra).
  * Update to standards version 3.5.7.
    - honor 'nostrip' in DEB_BUILD_OPTIONS
    - build with debug info by default
  * include default dav_svn.conf in the proper location so
    we can disable mod_dav_svn when libapache2-dav-svn is removed
    (closes: #158549).
  * Use /etc/subversion/config to give us proper editor behavior rather
    than patching the C source as I had when I closed Bug#157129.
  * Patch libsvn_subr so it respects /etc/subversion/config.

 -- David Kimdon <dwhedon@debian.org>  Sat, 24 Aug 2002 11:36:11 -0700

subversion (0.14.1-3) unstable; urgency=low

  * rename apache module libapache-dav-svn -> libapache2-dav-svn
    to indicate it is an apache2 module (closes: #158133)
  * remove libapache-dav-svn dependancy on apache2, we only need to depend
    on apache2-common (closes: #158132)
  * cleanup handling of config.{sub|guess}

 -- David Kimdon <dwhedon@debian.org>  Mon, 26 Aug 2002 21:15:35 -0700

subversion (0.14.1-2) unstable; urgency=low

  * Autotools fixes prompted by a failed autobuild and based on recomendations
    in /usr/share/doc/autotools-dev/README.Debian.gz
    - call configure with --host and --build flags based on the output of
      dpkg-architecture
    - symlink config.{sub|guess} during build so they are always up to date.
      Add build-dep on autotools-dev.
    - Call autogen.sh when cleaning the tree.  Add versioned build-dep
      on autoconf.
  * Remove commented python package rule and python2.2-dev build-dep.
    (I do plan on making the python package like in subversion-snapshot
    in the future but still need to figure some things out.)

 -- David Kimdon <dwhedon@debian.org>  Sat, 24 Aug 2002 07:42:49 -0700

subversion (0.14.1-1) unstable; urgency=low

  * New upstream version.
  * some build fixes thanks to Jon Middleton <jjm@ixtab.org.uk>
  * libsvn0-dev priority changed from optional to extra since
    libsvn0-dev depends on extra libdb4.0-dev and policy forbids
    binary dependancies on packages with lower priorities.
  * libneon build dep changed (libneon-dev -> libneon21-dev)
  * Conform to policy section 12.4 (Editors and Pagers) which states
    that if the EDITOR variable is not set the program should use
    /usr/bin/editor when necessary.  (closes: #157129)

 -- David Kimdon <dwhedon@debian.org>  Fri,  9 Aug 2002 19:29:12 -0700

subversion (0.14.0-2) unstable; urgency=low

  * Fix up descriptions to indicate this is no longer pre-alpha,
    this is an alpha realease.
  * remove version dependancy's from build-deps and libapache-dav-svn deps,
    the versions cause more trouble than they are worth and the proper
    dependancy will be realized (for the most part) by way of libapr.
  * rebuild with new apache2.

 -- David Kimdon <dwhedon@debian.org>  Tue,  6 Aug 2002 20:51:36 -0700

subversion (0.14.0-1) unstable; urgency=low

  * New upstream. Alpha release.
     - fix svn merge segfault (closes: #152461)
     - requires new libneon (closes: #152622)
  * Updates to svn-[inject|buildpackage].
  * Install /etc/bash_completion.d/subversion.  (This allows for
    programmable completion for the svn command under bash.)
  * Include svn-handbook and svn-design, register properly with info
    directory (closes: #153262)
  * libsvn -> libsvn0 and other fixes base on recommendations in
    Junichi Uekawa's Debian Library Packaging guide.
  * Simplify libapache-dav-svn.postrm.
  * Add url to package descriptions.
  * add build-dep on python-dev (closes: #153199)
  * remove build-dep on texi2html and texinfo since build documents are
    available in the distribution.
  * enable mod_dav in libapache_dav_svn, thanks to minus <minus@toneby.com>
    for catching the bug.

 -- David Kimdon <dwhedon@debian.org>  Sun, 30 Jun 2002 19:44:50 -0700

subversion (0.13.0-1) unstable; urgency=low

  * New upstream.
  * Actually uploading for real (closes: #97234)
  * Build debug version if DEB_BUILD_OPTIONS says to.
  * Include hack to fix broken apxs2, we include our own version of apxs2
    and use that during the build.  This will go away when apache2-dev
    is fixed, that will likely be the release after 2.0.37-2.
  * include selection from INSTALL in README.Debian
  * Make warnings in debian/control about this being in-development,
    pre-alpha software more conspicuous.
  * Create /etc/apache2/mods-enabled/dav_svn.{load|conf} symlinks in
    libapache-dav-svn.postinst if appropriate files exist in
    /etc/apache2/mods-available.  Delete these links in
    libapache-dav-svn.postrm.
  * include identical README.Debian in subversion and libapache-dav-svn
    the info is pertinant to both packages.
  * write svnadmin manpage

 -- David Kimdon <dwhedon@debian.org>  Sat,  8 Jun 2002 08:19:04 -0700

subversion (0.12.0-1) unstable; urgency=low

  * New upstream.
  * decided to delete apr/, apr-util/ and neon/ subdirs from original tarball.
    We aren't using them, they just take up space.
  * include experimental svn-inject and svn-buildpackage
  * run testsuite during build
  * add build-dep on python so we can run the testsuite
  * update package descriptions
  * bring back libsvn package

 -- David Kimdon <dwhedon@debian.org>  Sat,  4 May 2002 09:41:54 -0700

subversion (0.11.1-1) unstable; urgency=low

  * New upstream.
  * Now we aren't deleting the apr/ and neon/ subdirs, even though
    we don't use them.
  * add zlib1g-dev, bison, and patch to build depends.
  * files previously in libsvn package are now in subversion package,
    there aren't any other projects that use those libraries.
  * build in build-svn to keep source tree cleaner.
  * subversion-server package renamed to libapache-dav-svn

 -- David Kimdon <dwhedon@debian.org>  Fri, 12 Apr 2002 20:16:22 -0700

subversion (0.10.2-1) unstable; urgency=low

  * New upstream.
  * build against new apache2, neon, Berkeley DB
  * stop using DBS, it was getting in my way.
  * work around libtool bug #98342 with patch from the BTS.
  * use Debian's libexpat rather than the included one.
  * no longer using autoconf as part of the build.

 -- David Kimdon <dwhedon@debian.org>  Wed, 20 Feb 2002 22:52:29 -0800

subversion (0.8.0-1) unstable; urgency=low

  * New upstream.
  * track releases now rather than snapshots.
  * build-depend on libtool, autoconf
  * use dbs build scripts from package rather than on filesystem
  * /etc/apache2/modules->/etc/apache2/mods-available
  * rename packages svn-[server|client]-svn
    -> subversion-[server|client]-svn
  * change LIBTOOL_IS_A_FOOL hack since libsvn_ra wasn't building
    properly
  * create /etc/svn/ in subversion-server

 -- David Kimdon <dwhedon@debian.org>  Fri, 23 Nov 2001 20:37:16 -0800

subversion-svn (473-1) unstable; urgency=low

  * New upstream.
  * build against pre-release apache-2.0.28 package
  * install manpages and info pages.
  * don't strip libmod_dav_svn, otherwise apache can't load it
  * get the module name right in dav_svn.load
  * create repository in /var/svn in postinst if directory
    doesn't exist and set up symlinks for apache2
  * remove dav_svn.conf on purge
  * remove rpath
  * subversion Debian package is now self-hosting

 -- David Kimdon <dwhedon@debian.org>  Fri, 16 Nov 2001 22:01:32 -0800

subversion-svn (282-2) unstable; urgency=low

  * libexpat -> libsvn_expat to avoid conflict.
  * don't use maintainer-mode b/c apache2 doesn't
  * override mod_dav_svn install rule so we can put it in the right
    place.

 -- David Kimdon <dwhedon@debian.org>  Tue, 23 Oct 2001 08:32:55 -0700

subversion-svn (282-1) unstable; urgency=low

  * New upstream version.

 -- David Kimdon <dwhedon@debian.org>  Mon, 22 Oct 2001 15:35:25 -0700

subversion-svn (256-1) unstable; urgency=low

  * New upstream, various packaging fixes.

 -- David Kimdon <dwhedon@debian.org>  Wed, 17 Oct 2001 14:02:58 -0700

subversion-svn (252-1) unstable; urgency=low

  * Initial release.

 -- David Kimdon <dwhedon@debian.org>  Fri, 28 Sep 2001 20:31:48 -0700
